View Issue Details

IDProjectCategoryView StatusLast Update
0004543SymmetricDSImprovementpublic2020-09-23 13:11
Reporterdingshiuan Assigned To 
Prioritynormal 
Status closedResolutionno change required 
Product Version3.12.3 
Summary0004543: JDBC-11048:"SYMM"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)
Descriptionsource is oracle 12c, target is tibero 6

create new table and sync to target
JDBC-11048:"SYMM"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)


Steps To Reproduce
Reproduce step as attached file
TagsNo tags attached.

Activities

dingshiuan

2020-09-12 06:14

reporter  

symm_20200912_v2.docx (169,870 bytes)
source_log.zip (16,853 bytes)
target_log.zip (19,613 bytes)

dingshiuan

2020-09-13 07:30

reporter   ~0001760

似乎是 start slave service , 隔一段時間就會發生JDBC-11048:"HR"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)

同步 symm & hr schema table
只有 hr schema 出現
symm_20200912_v2-2.docx (64,585 bytes)
target_log-2.zip (31,398 bytes)
source_log-2.zip (26,919 bytes)

dingshiuan

2020-09-13 08:15

reporter   ~0001761

Update item table, it happens as below

2020-09-13 19:51:00,249 INFO [store-001] [RouterService] [store-001-job-11] Routed 1 data events in 10 ms
2020-09-13 19:52:12,163 ERROR [store-001] [HeartbeatJob] [store-001-job-16] Exception while executing job 'Heartbeat' StackTraceKey.init [SqlException:1427445761] org.jumpmind.db.sql.SqlException: JDBC-11048:"SYMM"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)
TBR-15163: Unhandled exception at SYMM.SYM_ON_U_FOR_SYM_ND_HST_STR, line 32.
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:306)
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:295)
        at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:519)
        at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:358)
        at org.jumpmind.db.sql.AbstractSqlTemplate.update(AbstractSqlTemplate.java:228)
        at org.jumpmind.symmetric.service.impl.NodeService.updateNodeHost(NodeService.java:201)
        at org.jumpmind.symmetric.service.impl.NodeService.updateNodeHostForCurrentNode(NodeService.java:212)
        at org.jumpmind.symmetric.job.PushHeartbeatListener.heartbeat(PushHeartbeatListener.java:97)
        at org.jumpmind.symmetric.service.impl.DataService.heartbeat(DataService.java:2925)
        at org.jumpmind.symmetric.job.HeartbeatJob.doJob(HeartbeatJob.java:50)
        at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:227)
        at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:298)
        at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

dingshiuan

2020-09-15 12:05

reporter   ~0001762

Dear Sir
Is there any solution for this issue ?

thanks a lot ~

elong

2020-09-15 12:18

developer   ~0001763

Never seen anything like that, so it's something in your environment. Did you set the external.id to a value longer than 50 bytes in your engine properties file? Since node_id comes from sym_node table, and it is defined as varchar(50), it doesn't seem possible for a node_id to exceed that.

dingshiuan

2020-09-15 12:33

reporter   ~0001764

Dear Elong
thanks for your feedback

my id as below
Master : external.id = 000
Slave : external.id = 001
Slave : external.id = 002

elong

2020-09-15 12:43

developer   ~0001765

Can you try this?

1. Run SQL "select node_id from sym_node" and verify you also get 000, 001, and 002.

2. Run SQL "select ':'||sym_pkg.disable_node_id||':' from dual" to see what source node ID it returns between the colons

3. Run SQL "call sym_pkg.setNodeValue('001')" to try setting the source node ID like SymmetricDS would

4. Now run step 0000002 again to see if it accepted your source node ID change

dingshiuan

2020-09-15 14:09

reporter   ~0001766

1. Run SQL "select node_id from sym_node" and verify you also get 000, 001, and 002. -> attached file
2. Run SQL "select ':'||sym_pkg.disable_node_id||':' from dual" to see what source node ID it returns between the colons -> error
3. Run SQL "call sym_pkg.setNodeValue('001')" to try setting the source node ID like SymmetricDS would -> attached file
4. Now run step 0000002 again to see if it accepted your source node ID change
-> sorry , i don't understand, Could you provide me with clearer command ?
symm.docx (45,740 bytes)

dingshiuan

2020-09-15 14:14

reporter   ~0001767

Dear Elong
I recreate sync step again,
After completion, it appears
 (error occurred before the data change)
tibero@test01:/tmax/symmetric-corp> ./bin/sym --engine store-002 --port 9091
Log output will be written to /tmax/symmetric-corp/logs/symmetric.log
[store-002] - PullJob - Exception while executing job 'Pull' org.jumpmind.db.sql.SqlException: JDBC-11048:"HR"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)
TBR-15163: Unhandled exception at HR.SYM_ON_U_FOR_SYM_ND_STR, line 28.
source_log-3.zip (13,320 bytes)
target_log-3.zip (14,010 bytes)

dingshiuan

2020-09-16 11:21

reporter   ~0001768

Dear Elong

Is there any alternative?
Please Guide me
thanks a lot ~

elong

2020-09-16 14:09

developer   ~0001769

Try adding this line to your store-001.properties and store-002.properties:

db.validation.query=call sym_pkg.setNodeValue(null)

If that works, then we'll know how to fix it in the code instead.

dingshiuan

2020-09-16 20:01

reporter   ~0001770

Dear Elong
thanks for your feedback

I try add db.validation.query=call sym_pkg.setNodeValue(null) in store-002.properties
restart service and get error messages
attached file

thanks a lot !
symmetric.log (252,011 bytes)   
2020-09-17 07:25:50,624 INFO [] [AbstractCommandLauncher] [main] Option: name=engine, value={store-001}
2020-09-17 07:25:50,629 INFO [] [AbstractCommandLauncher] [main] Option: name=format, value={XML}
2020-09-17 07:25:50,629 INFO [] [AbstractCommandLauncher] [main] Option: name=alter-case, value={}
2020-09-17 07:29:37,289 INFO [] [AbstractCommandLauncher] [main] Option: name=engine, value={store-001}
2020-09-17 07:29:37,294 INFO [] [AbstractCommandLauncher] [main] Option: name=format, value={XML}
2020-09-17 07:29:37,294 INFO [] [AbstractCommandLauncher] [main] Option: name=alter-case, value={}
2020-09-17 07:29:37,697 INFO [] [AbstractSymmetricEngine] [main] Initializing connection to database
2020-09-17 07:29:37,735 INFO [] [JdbcDatabasePlatformFactory] [main] Detected database 'Tibero', version '6', protocol 'tibero'
2020-09-17 07:29:37,763 INFO [] [JdbcDatabasePlatformFactory] [main] The IDatabasePlatform being used is org.jumpmind.db.platform.tibero.TiberoDatabasePlatform
2020-09-17 07:29:38,205 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="item">
		<column name="item_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="name" type="VARCHAR" size="100"/>
	</table>
</database>
2020-09-17 07:29:38,344 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="item_selling_price">
		<column name="item_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="store_id" primaryKey="true" primaryKeySeq="0" required="true" type="VARCHAR" size="5"/>
		<column name="price" required="true" type="DECIMAL" size="10,2"/>
		<column name="cost" type="DECIMAL" size="10,2"/>
		<foreign-key name="fk_price_item_id" foreignTable="item" foreignTableCatalog="" foreignTableSchema="">
			<reference local="item_id" foreign="item_id"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:29:38,404 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="sale_transaction">
		<column name="tran_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="store_id" required="true" type="VARCHAR" size="5"/>
		<column name="workstation" required="true" type="VARCHAR" size="3"/>
		<column name="day" required="true" type="VARCHAR" size="10"/>
		<column name="seq" required="true" type="INTEGER"/>
	</table>
</database>
2020-09-17 07:29:38,455 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="sale_return_line_item">
		<column name="tran_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="item_id" required="true" type="INTEGER"/>
		<column name="price" required="true" type="DECIMAL" size="10,2"/>
		<column name="quantity" required="true" type="INTEGER"/>
		<column name="returned_quantity" type="INTEGER"/>
		<foreign-key name="fk_srli_tran_id" foreignTable="sale_transaction" foreignTableCatalog="" foreignTableSchema="">
			<reference local="tran_id" foreign="tran_id"/>
		</foreign-key>
		<foreign-key name="fk_srli_item_id" foreignTable="item" foreignTableCatalog="" foreignTableSchema="">
			<reference local="item_id" foreign="item_id"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:30:52,547 INFO [startup] [AbstractCommandLauncher] [main] Option: name=engine, value={store-001}
2020-09-17 07:30:52,552 INFO [startup] [AbstractCommandLauncher] [main] Option: name=port, value={9090}
2020-09-17 07:30:52,596 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-09-17 07:30:52,800 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:9090:HTTP/1.1
2020-09-17 07:30:53,506 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-09-17 07:30:54,121 INFO [store-001] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'Tibero', version '6', protocol 'tibero'
2020-09-17 07:30:54,155 INFO [store-001] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.tibero.TiberoDatabasePlatform
2020-09-17 07:30:54,301 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.tibero.TiberoSymmetricDialect
2020-09-17 07:30:54,372 INFO [store-001] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /tmax/symmetric-corp/tmp/store-001
2020-09-17 07:30:55,694 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-09-17 07:30:55,791 INFO [store-001] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-09-17 07:30:55,801 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-09-17 07:30:55,845 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE FUNCTION sym_blob2clob (blob_in IN BLOB)                                                                                                                                                RETURN CLOB                                                                                                                                                             AS                                                                                                                                                                            v_clob    CLOB := null;                                                                                                                                                   v_varchar VARCHAR2(32767);                                                                                                                                                v_start   PLS_INTEGER := 1;                                                                                                                                               v_buffer  PLS_INTEGER := 999;                                                                                                                                         BEGIN                                                                                                                                                                         IF blob_in IS NOT NULL THEN                                                                                                                                                   IF DBMS_LOB.GETLENGTH(blob_in) > 0 THEN                                                                                                                                       DBMS_LOB.CREATETEMPORARY(v_clob, TRUE);                                                                                                                                   FOR i IN 1..CEIL(DBMS_LOB.GETLENGTH(blob_in) / v_buffer)                                                                                                                  LOOP                                                                                                                                                                          v_varchar := UTL_RAW.CAST_TO_VARCHAR2(UTL_ENCODE.base64_encode(DBMS_LOB.SUBSTR(blob_in, v_buffer, v_start)));                                                             v_varchar := REPLACE(v_varchar,CHR(13)||CHR(10));                                                                                                                         DBMS_LOB.WRITEAPPEND(v_clob, LENGTH(v_varchar), v_varchar);                                                                                                               v_start := v_start + v_buffer;                                                                                                                                        END LOOP;                                                                                                                                                             END IF;                                                                                                                                                               END IF;                                                                                                                                                                   RETURN v_clob;                                                                                                                                                        END sym_blob2clob;                                                                                                                                                   
2020-09-17 07:30:55,909 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_blob2clob
2020-09-17 07:30:55,937 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE function sym_transaction_id                                                                                                                                                                return varchar is                                                                                                                                                     begin                                                                                                                                                                    return DBMS_TRANSACTION.local_transaction_id(false);                                                                                                               end;                                                                                                                                                               
2020-09-17 07:30:55,976 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_transaction_id
2020-09-17 07:30:56,003 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE function sym_trigger_disabled return varchar is                                                                                                                                              begin                                                                                                                                                                      return sym_pkg.disable_trigger;                                                                                                                                      end;                                                                                                                                                                 
2020-09-17 07:30:56,064 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_trigger_disabled
2020-09-17 07:30:56,088 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE package sym_pkg as                                                                                                                                                                         disable_trigger pls_integer;                                                                                                                                             disable_node_id varchar(50);                                                                                                                                             procedure setValue (a IN number);                                                                                                                                        procedure setNodeValue (node_id IN varchar);                                                                                                                         end sym_pkg;                                                                                                                                                           
2020-09-17 07:30:56,126 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_pkg
2020-09-17 07:30:56,126 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE package body sym_pkg as                                                                                                                                                                   procedure setValue(a IN number) is                                                                                                                                      begin                                                                                                                                                                       sym_pkg.disable_trigger:=a;                                                                                                                                        end;                                                                                                                                                                    procedure setNodeValue(node_id IN varchar) is                                                                                                                           begin                                                                                                                                                                       sym_pkg.disable_node_id := node_id;                                                                                                                                end;                                                                                                                                                                end sym_pkg;                                                                                                                                                           
2020-09-17 07:30:56,170 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_pkg
2020-09-17 07:30:56,194 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
  CREATE OR REPLACE                                                                                                             FUNCTION sym_wkt2geom(                                    clob_in IN CLOB)                                       RETURN SDO_GEOMETRY                                    AS                                                         v_out SDO_GEOMETRY := NULL;                            BEGIN                                                      IF clob_in IS NOT NULL THEN                                IF DBMS_LOB.GETLENGTH(clob_in) > 0 THEN                    v_out := SDO_GEOMETRY(clob_in);                        END IF;                                                END IF;                                                  RETURN v_out;                                          END sym_wkt2geom;                                 
2020-09-17 07:30:56,251 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_wkt2geom
2020-09-17 07:30:56,252 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-09-17 07:30:56,847 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] There are SymmetricDS tables that needed altered
2020-09-17 07:30:56,875 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CHANNEL"(
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "PROCESSING_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "MAX_BATCH_SIZE" NUMBER(22) DEFAULT 1000 NOT NULL,
    "MAX_BATCH_TO_SEND" NUMBER(22) DEFAULT 60 NOT NULL,
    "MAX_DATA_TO_ROUTE" NUMBER(22) DEFAULT 100000 NOT NULL,
    "EXTRACT_PERIOD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_OLD_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_ROW_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_PK_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "RELOAD_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "FILE_SYNC_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "CONTAINS_BIG_LOB" NUMBER(3) DEFAULT 0 NOT NULL,
    "BATCH_ALGORITHM" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "DATA_LOADER_TYPE" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "QUEUE" VARCHAR2(25) DEFAULT 'default' NOT NULL,
    "MAX_NETWORK_KBPS" NUMBER(10,3) DEFAULT 0.000 NOT NULL,
    "DATA_EVENT_ACTION" CHAR(1),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:56,925 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CHANNEL"
    ADD CONSTRAINT "SYM_CHANNEL_PK" PRIMARY KEY ("CHANNEL_ID")
2020-09-17 07:30:56,941 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CONFLICT"(
    "CONFLICT_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CHANNEL_ID" VARCHAR2(128),
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "DETECT_TYPE" VARCHAR2(128) NOT NULL,
    "DETECT_EXPRESSION" CLOB,
    "RESOLVE_TYPE" VARCHAR2(128) NOT NULL,
    "PING_BACK" VARCHAR2(128) NOT NULL,
    "RESOLVE_CHANGES_ONLY" NUMBER(3) DEFAULT 0,
    "RESOLVE_ROW_ONLY" NUMBER(3) DEFAULT 0,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:56,983 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONFLICT"
    ADD CONSTRAINT "SYM_CONFLICT_PK" PRIMARY KEY ("CONFLICT_ID")
2020-09-17 07:30:56,990 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CONTEXT"(
    "NAME" VARCHAR2(80) NOT NULL,
    "CONTEXT_VALUE" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,029 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONTEXT"
    ADD CONSTRAINT "SYM_CONTEXT_PK" PRIMARY KEY ("NAME")
2020-09-17 07:30:57,032 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE SEQUENCE "SEQ_SYM_DATA_DATA_ID" CACHE 1000 ORDER
2020-09-17 07:30:57,057 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA"(
    "DATA_ID" NUMBER(38) NOT NULL ,
    "TABLE_NAME" VARCHAR2(255) NOT NULL,
    "EVENT_TYPE" CHAR(1) NOT NULL,
    "ROW_DATA" CLOB,
    "PK_DATA" CLOB,
    "OLD_DATA" CLOB,
    "TRIGGER_HIST_ID" NUMBER(22) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "TRANSACTION_ID" VARCHAR2(255),
    "SOURCE_NODE_ID" VARCHAR2(50),
    "EXTERNAL_DATA" VARCHAR2(50),
    "NODE_LIST" VARCHAR2(255),
    "IS_PREROUTED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,094 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE UNIQUE INDEX "SYM_IDX_D_CHANNEL_ID" ON "SYM_DATA" ("DATA_ID", "CHANNEL_ID")
2020-09-17 07:30:57,117 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA"
    ADD CONSTRAINT "SYM_DATA_PK" PRIMARY KEY ("DATA_ID")
2020-09-17 07:30:57,125 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE OR REPLACE TRIGGER "TRG_SYM_DATA_DATA_ID" BEFORE INSERT ON "SYM_DATA" FOR EACH ROW WHEN (new."DATA_ID" IS NULL)
BEGIN SELECT "SEQ_SYM_DATA_DATA_ID".nextval INTO :new."DATA_ID" FROM dual; END;
2020-09-17 07:30:57,131 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA_EVENT"(
    "DATA_ID" NUMBER(38) NOT NULL,
    "BATCH_ID" NUMBER(38) NOT NULL,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,156 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_DE_BATCHID" ON "SYM_DATA_EVENT" ("BATCH_ID")
2020-09-17 07:30:57,179 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA_EVENT"
    ADD CONSTRAINT "SYM_DATA_EVENT_PK" PRIMARY KEY ("DATA_ID", "BATCH_ID")
2020-09-17 07:30:57,186 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA_GAP"(
    "START_ID" NUMBER(38) NOT NULL,
    "END_ID" NUMBER(38) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255)
)
2020-09-17 07:30:57,210 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA_GAP"
    ADD CONSTRAINT "SYM_DATA_GAP_PK" PRIMARY KEY ("START_ID", "END_ID")
2020-09-17 07:30:57,222 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_EXTENSION"(
    "EXTENSION_ID" VARCHAR2(50) NOT NULL,
    "EXTENSION_TYPE" VARCHAR2(10) NOT NULL,
    "INTERFACE_NAME" VARCHAR2(255),
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "EXTENSION_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "EXTENSION_TEXT" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,250 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_EXTENSION"
    ADD CONSTRAINT "SYM_EXTENSION_PK" PRIMARY KEY ("EXTENSION_ID")
2020-09-17 07:30:57,266 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_EXTRACT_REQUEST"(
    "REQUEST_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "QUEUE" VARCHAR2(128),
    "STATUS" CHAR(2),
    "START_BATCH_ID" NUMBER(38) NOT NULL,
    "END_BATCH_ID" NUMBER(38) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "LOAD_ID" NUMBER(38),
    "TABLE_NAME" VARCHAR2(255),
    "EXTRACTED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "EXTRACTED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRANSFERRED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRANSFERRED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_TRANSFERRED_BATCH_ID" NUMBER(38),
    "LOADED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOADED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_LOADED_BATCH_ID" NUMBER(38),
    "TOTAL_ROWS" NUMBER(38),
    "LOADED_TIME" TIMESTAMP,
    "PARENT_REQUEST_ID" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,305 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_EXTRACT_REQUEST"
    ADD CONSTRAINT "SYM_EXTRACT_REQUEST_PK" PRIMARY KEY ("REQUEST_ID")
2020-09-17 07:30:57,312 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_INCOMING"(
    "RELATIVE_DIR" VARCHAR2(255) NOT NULL,
    "FILE_NAME" VARCHAR2(128) NOT NULL,
    "LAST_EVENT_TYPE" CHAR(1) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "FILE_MODIFIED_TIME" NUMBER(38)
)
2020-09-17 07:30:57,337 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_INCOMING"
    ADD CONSTRAINT "SYM_FILE_INCOMING_PK" PRIMARY KEY ("RELATIVE_DIR", "FILE_NAME")
2020-09-17 07:30:57,349 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_SNAPSHOT"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "RELATIVE_DIR" VARCHAR2(255) NOT NULL,
    "FILE_NAME" VARCHAR2(128) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync' NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync_reload' NOT NULL,
    "LAST_EVENT_TYPE" CHAR(1) NOT NULL,
    "CRC32_CHECKSUM" NUMBER(38),
    "FILE_SIZE" NUMBER(38),
    "FILE_MODIFIED_TIME" NUMBER(38),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:57,372 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_F_SNPSHT_CHID" ON "SYM_FILE_SNAPSHOT" ("RELOAD_CHANNEL_ID")
2020-09-17 07:30:57,395 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_SNAPSHOT"
    ADD CONSTRAINT "SYM_FILE_SNAPSHOT_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID", "RELATIVE_DIR", "FILE_NAME")
2020-09-17 07:30:57,417 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_TRIGGER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync' NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync_reload' NOT NULL,
    "BASE_DIR" VARCHAR2(255) NOT NULL,
    "RECURSE" NUMBER(3) DEFAULT 1 NOT NULL,
    "INCLUDES_FILES" VARCHAR2(255),
    "EXCLUDES_FILES" VARCHAR2(255),
    "SYNC_ON_CREATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_MODIFIED" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_CTL_FILE" NUMBER(3) DEFAULT 0 NOT NULL,
    "DELETE_AFTER_SYNC" NUMBER(3) DEFAULT 0 NOT NULL,
    "BEFORE_COPY_SCRIPT" CLOB,
    "AFTER_COPY_SCRIPT" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:57,453 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER"
    ADD CONSTRAINT "SYM_FILE_TRIGGER_PK" PRIMARY KEY ("TRIGGER_ID")
2020-09-17 07:30:57,465 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_TRIGGER_ROUTER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "TARGET_BASE_DIR" VARCHAR2(255),
    "CONFLICT_STRATEGY" VARCHAR2(128) DEFAULT 'source_wins' NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:57,495 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FILE_TRIGGER_ROUTER_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:30:57,506 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_GROUPLET"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "GROUPLET_LINK_POLICY" CHAR(1) DEFAULT 'I' NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:57,529 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET"
    ADD CONSTRAINT "SYM_GROUPLET_PK" PRIMARY KEY ("GROUPLET_ID")
2020-09-17 07:30:57,537 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_GROUPLET_LINK"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:57,561 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET_LINK"
    ADD CONSTRAINT "SYM_GROUPLET_LINK_PK" PRIMARY KEY ("GROUPLET_ID", "EXTERNAL_ID")
2020-09-17 07:30:57,605 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_INCOMING_BATCH"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "STATUS" CHAR(2),
    "ERROR_FLAG" NUMBER(3) DEFAULT 0,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP,
    "SUMMARY" VARCHAR2(255),
    "IGNORE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "BYTE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOAD_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "RELOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "OTHER_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "NETWORK_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "FILTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ROUTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ID" NUMBER(38),
    "COMMON_FLAG" NUMBER(3) DEFAULT 0,
    "FALLBACK_INSERT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FALLBACK_UPDATE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "IGNORE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "MISSING_DELETE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SKIP_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_ROW_NUMBER" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_DATA_ID" NUMBER(38) DEFAULT 0 NOT NULL
)
2020-09-17 07:30:57,642 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_IB_TIME_STATUS" ON "SYM_INCOMING_BATCH" ("CREATE_TIME", "STATUS")
2020-09-17 07:30:57,664 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_IB_IN_ERROR" ON "SYM_INCOMING_BATCH" ("ERROR_FLAG")
2020-09-17 07:30:57,691 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_INCOMING_BATCH"
    ADD CONSTRAINT "SYM_INCOMING_BATCH_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID")
2020-09-17 07:30:57,717 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_INCOMING_ERROR"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "FAILED_ROW_NUMBER" NUMBER(38) NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(38) DEFAULT 0 NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "EVENT_TYPE" CHAR(1) NOT NULL,
    "BINARY_ENCODING" VARCHAR2(10) DEFAULT 'HEX' NOT NULL,
    "COLUMN_NAMES" CLOB NOT NULL,
    "PK_COLUMN_NAMES" CLOB NOT NULL,
    "ROW_DATA" CLOB,
    "OLD_DATA" CLOB,
    "CUR_DATA" CLOB,
    "RESOLVE_DATA" CLOB,
    "RESOLVE_IGNORE" NUMBER(3) DEFAULT 0,
    "CONFLICT_ID" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:57,761 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_INCOMING_ERROR"
    ADD CONSTRAINT "SYM_INCOMING_ERROR_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID", "FAILED_ROW_NUMBER")
2020-09-17 07:30:57,774 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_JOB"(
    "JOB_NAME" VARCHAR2(50) NOT NULL,
    "JOB_TYPE" VARCHAR2(10) NOT NULL,
    "REQUIRES_REGISTRATION" NUMBER(3) DEFAULT 1 NOT NULL,
    "JOB_EXPRESSION" CLOB,
    "DESCRIPTION" VARCHAR2(255),
    "DEFAULT_SCHEDULE" VARCHAR2(50),
    "DEFAULT_AUTO_START" NUMBER(3) DEFAULT 1 NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "CREATE_BY" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:57,801 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_JOB"
    ADD CONSTRAINT "SYM_JOB_PK" PRIMARY KEY ("JOB_NAME")
2020-09-17 07:30:57,832 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_LOAD_FILTER"(
    "LOAD_FILTER_ID" VARCHAR2(50) NOT NULL,
    "LOAD_FILTER_TYPE" VARCHAR2(10) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "FILTER_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "FILTER_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "FILTER_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "BEFORE_WRITE_SCRIPT" CLOB,
    "AFTER_WRITE_SCRIPT" CLOB,
    "BATCH_COMPLETE_SCRIPT" CLOB,
    "BATCH_COMMIT_SCRIPT" CLOB,
    "BATCH_ROLLBACK_SCRIPT" CLOB,
    "HANDLE_ERROR_SCRIPT" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "LOAD_FILTER_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "FAIL_ON_ERROR" NUMBER(3) DEFAULT 0 NOT NULL
)
2020-09-17 07:30:57,873 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_LOAD_FILTER"
    ADD CONSTRAINT "SYM_LOAD_FILTER_PK" PRIMARY KEY ("LOAD_FILTER_ID")
2020-09-17 07:30:57,883 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_LOCK"(
    "LOCK_ACTION" VARCHAR2(50) NOT NULL,
    "LOCK_TYPE" VARCHAR2(50) NOT NULL,
    "LOCKING_SERVER_ID" VARCHAR2(255),
    "LOCK_TIME" TIMESTAMP,
    "SHARED_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SHARED_ENABLE" NUMBER(22) DEFAULT 0 NOT NULL,
    "LAST_LOCK_TIME" TIMESTAMP,
    "LAST_LOCKING_SERVER_ID" VARCHAR2(255)
)
2020-09-17 07:30:57,907 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_LOCK"
    ADD CONSTRAINT "SYM_LOCK_PK" PRIMARY KEY ("LOCK_ACTION")
2020-09-17 07:30:57,916 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "SYNC_ENABLED" NUMBER(3) DEFAULT 0,
    "SYNC_URL" VARCHAR2(255),
    "SCHEMA_VERSION" VARCHAR2(50),
    "SYMMETRIC_VERSION" VARCHAR2(50),
    "CONFIG_VERSION" VARCHAR2(50),
    "DATABASE_TYPE" VARCHAR2(50),
    "DATABASE_VERSION" VARCHAR2(50),
    "DATABASE_NAME" VARCHAR2(50),
    "BATCH_TO_SEND_COUNT" NUMBER(22) DEFAULT 0,
    "BATCH_IN_ERROR_COUNT" NUMBER(22) DEFAULT 0,
    "CREATED_AT_NODE_ID" VARCHAR2(50),
    "DEPLOYMENT_TYPE" VARCHAR2(50),
    "DEPLOYMENT_SUB_TYPE" VARCHAR2(50)
)
2020-09-17 07:30:57,941 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE"
    ADD CONSTRAINT "SYM_NODE_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:30:57,955 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_COMMUNICATION"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "QUEUE" VARCHAR2(25) DEFAULT 'default' NOT NULL,
    "COMMUNICATION_TYPE" VARCHAR2(10) NOT NULL,
    "LOCK_TIME" TIMESTAMP,
    "LOCKING_SERVER_ID" VARCHAR2(255),
    "LAST_LOCK_TIME" TIMESTAMP,
    "LAST_LOCK_MILLIS" NUMBER(38) DEFAULT 0,
    "SUCCESS_COUNT" NUMBER(38) DEFAULT 0,
    "FAIL_COUNT" NUMBER(38) DEFAULT 0,
    "SKIP_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_SUCCESS_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_FAIL_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_SUCCESS_MILLIS" NUMBER(38) DEFAULT 0,
    "TOTAL_FAIL_MILLIS" NUMBER(38) DEFAULT 0,
    "BATCH_TO_SEND_COUNT" NUMBER(38) DEFAULT 0,
    "NODE_PRIORITY" NUMBER(22) DEFAULT 0
)
2020-09-17 07:30:57,993 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_COMMUNICATION"
    ADD CONSTRAINT "SYM_NODE_COMMUNICATION_PK" PRIMARY KEY ("NODE_ID", "QUEUE", "COMMUNICATION_TYPE")
2020-09-17 07:30:58,000 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_CHANNEL_CTL"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "SUSPEND_ENABLED" NUMBER(3) DEFAULT 0,
    "IGNORE_ENABLED" NUMBER(3) DEFAULT 0,
    "LAST_EXTRACT_TIME" TIMESTAMP
)
2020-09-17 07:30:58,030 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_CHANNEL_CTL"
    ADD CONSTRAINT "SYM_NODE_CHANNEL_CTL_PK" PRIMARY KEY ("NODE_ID", "CHANNEL_ID")
2020-09-17 07:30:58,036 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,059 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP"
    ADD CONSTRAINT "SYM_NODE_GROUP_PK" PRIMARY KEY ("NODE_GROUP_ID")
2020-09-17 07:30:58,071 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP_CHANNEL_WND"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL
)
2020-09-17 07:30:58,096 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_CHANNEL_WND"
    ADD CONSTRAINT "SYM_NODE_GROUP_CHANNEL_WND_PK" PRIMARY KEY ("NODE_GROUP_ID", "CHANNEL_ID", "START_TIME", "END_TIME")
2020-09-17 07:30:58,107 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP_LINK"(
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "DATA_EVENT_ACTION" CHAR(1) DEFAULT 'W' NOT NULL,
    "SYNC_CONFIG_ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "IS_REVERSIBLE" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,132 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_NODE_GROUP_LINK_PK" PRIMARY KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:30:58,147 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "INSTANCE_ID" VARCHAR2(60),
    "IP_ADDRESS" VARCHAR2(50),
    "OS_USER" VARCHAR2(50),
    "OS_NAME" VARCHAR2(50),
    "OS_ARCH" VARCHAR2(50),
    "OS_VERSION" VARCHAR2(50),
    "AVAILABLE_PROCESSORS" NUMBER(22) DEFAULT 0,
    "FREE_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "TOTAL_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "MAX_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "JAVA_VERSION" VARCHAR2(50),
    "JAVA_VENDOR" VARCHAR2(255),
    "JDBC_VERSION" VARCHAR2(255),
    "SYMMETRIC_VERSION" VARCHAR2(50),
    "TIMEZONE_OFFSET" VARCHAR2(6),
    "HEARTBEAT_TIME" TIMESTAMP,
    "LAST_RESTART_TIME" TIMESTAMP NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:58,174 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST"
    ADD CONSTRAINT "SYM_NODE_HOST_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME")
2020-09-17 07:30:58,188 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_CHANNEL_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "DATA_ROUTED" NUMBER(38) DEFAULT 0,
    "DATA_UNROUTED" NUMBER(38) DEFAULT 0,
    "DATA_EVENT_INSERTED" NUMBER(38) DEFAULT 0,
    "DATA_EXTRACTED" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_EXTRACTED" NUMBER(38) DEFAULT 0,
    "DATA_EXTRACTED_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_SENT" NUMBER(38) DEFAULT 0,
    "DATA_SENT" NUMBER(38) DEFAULT 0,
    "DATA_SENT_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_LOADED" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_LOADED" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_OUTGOING" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_LOADED_OUTGOING" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_OUTGOING_ERRORS" NUMBER(38) DEFAULT 0
)
2020-09-17 07:30:58,211 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_CHNL_STS" ON "SYM_NODE_HOST_CHANNEL_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:30:58,236 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_CHANNEL_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_CHANNEL_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "CHANNEL_ID", "START_TIME", "END_TIME")
2020-09-17 07:30:58,247 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_JOB_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "JOB_NAME" VARCHAR2(50) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "PROCESSED_COUNT" NUMBER(38) DEFAULT 0,
    "TARGET_NODE_ID" VARCHAR2(50),
    "TARGET_NODE_COUNT" NUMBER(22) DEFAULT 0
)
2020-09-17 07:30:58,268 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_JOB" ON "SYM_NODE_HOST_JOB_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:30:58,292 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_JOB_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_JOB_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "JOB_NAME", "START_TIME", "END_TIME")
2020-09-17 07:30:58,310 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "RESTARTED" NUMBER(38) DEFAULT 0 NOT NULL,
    "NODES_PULLED" NUMBER(38) DEFAULT 0,
    "TOTAL_NODES_PULL_TIME" NUMBER(38) DEFAULT 0,
    "NODES_PUSHED" NUMBER(38) DEFAULT 0,
    "TOTAL_NODES_PUSH_TIME" NUMBER(38) DEFAULT 0,
    "NODES_REJECTED" NUMBER(38) DEFAULT 0,
    "NODES_REGISTERED" NUMBER(38) DEFAULT 0,
    "NODES_LOADED" NUMBER(38) DEFAULT 0,
    "NODES_DISABLED" NUMBER(38) DEFAULT 0,
    "PURGED_DATA_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_DATA_EVENT_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_BATCH_OUTGOING_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_BATCH_INCOMING_ROWS" NUMBER(38) DEFAULT 0,
    "TRIGGERS_CREATED_COUNT" NUMBER(38),
    "TRIGGERS_REBUILT_COUNT" NUMBER(38),
    "TRIGGERS_REMOVED_COUNT" NUMBER(38)
)
2020-09-17 07:30:58,334 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_STS" ON "SYM_NODE_HOST_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:30:58,359 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "START_TIME", "END_TIME")
2020-09-17 07:30:58,364 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_IDENTITY"(
    "NODE_ID" VARCHAR2(50) NOT NULL
)
2020-09-17 07:30:58,389 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_IDENTITY"
    ADD CONSTRAINT "SYM_NODE_IDENTITY_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:30:58,397 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_SECURITY"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "NODE_PASSWORD" VARCHAR2(50) NOT NULL,
    "REGISTRATION_ENABLED" NUMBER(3) DEFAULT 0,
    "REGISTRATION_TIME" TIMESTAMP,
    "INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 0,
    "INITIAL_LOAD_TIME" TIMESTAMP,
    "INITIAL_LOAD_ID" NUMBER(38),
    "INITIAL_LOAD_CREATE_BY" VARCHAR2(255),
    "REV_INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 0,
    "REV_INITIAL_LOAD_TIME" TIMESTAMP,
    "REV_INITIAL_LOAD_ID" NUMBER(38),
    "REV_INITIAL_LOAD_CREATE_BY" VARCHAR2(255),
    "FAILED_LOGINS" NUMBER(3) DEFAULT 0,
    "CREATED_AT_NODE_ID" VARCHAR2(50)
)
2020-09-17 07:30:58,431 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_SECURITY"
    ADD CONSTRAINT "SYM_NODE_SECURITY_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:30:58,454 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_MONITOR"(
    "MONITOR_ID" VARCHAR2(128) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) DEFAULT 'ALL' NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) DEFAULT 'ALL' NOT NULL,
    "TYPE" VARCHAR2(50) NOT NULL,
    "EXPRESSION" CLOB,
    "THRESHOLD" NUMBER(38) DEFAULT 0 NOT NULL,
    "RUN_PERIOD" NUMBER(22) DEFAULT 0 NOT NULL,
    "RUN_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,495 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_MONITOR"
    ADD CONSTRAINT "SYM_MONITOR_PK" PRIMARY KEY ("MONITOR_ID")
2020-09-17 07:30:58,529 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_MONITOR_EVENT"(
    "MONITOR_ID" VARCHAR2(128) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "EVENT_TIME" TIMESTAMP NOT NULL,
    "HOST_NAME" VARCHAR2(60),
    "TYPE" VARCHAR2(50) NOT NULL,
    "THRESHOLD" NUMBER(38) DEFAULT 0 NOT NULL,
    "EVENT_VALUE" NUMBER(38) DEFAULT 0 NOT NULL,
    "EVENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "IS_RESOLVED" NUMBER(3) DEFAULT 0 NOT NULL,
    "IS_NOTIFIED" NUMBER(3) DEFAULT 0 NOT NULL,
    "DETAILS" CLOB,
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,570 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_MONITOR_EVENT"
    ADD CONSTRAINT "SYM_MONITOR_EVENT_PK" PRIMARY KEY ("MONITOR_ID", "NODE_ID", "EVENT_TIME")
2020-09-17 07:30:58,591 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NOTIFICATION"(
    "NOTIFICATION_ID" VARCHAR2(128) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) DEFAULT 'ALL' NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) DEFAULT 'ALL' NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "TYPE" VARCHAR2(50) NOT NULL,
    "EXPRESSION" CLOB,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,626 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NOTIFICATION"
    ADD CONSTRAINT "SYM_NOTIFICATION_PK" PRIMARY KEY ("NOTIFICATION_ID")
2020-09-17 07:30:58,714 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_OUTGOING_BATCH"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "STATUS" CHAR(2),
    "ERROR_FLAG" NUMBER(3) DEFAULT 0,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP,
    "SUMMARY" VARCHAR2(255),
    "IGNORE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "BYTE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOAD_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "RELOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "OTHER_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "NETWORK_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "FILTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ROUTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ID" NUMBER(38),
    "COMMON_FLAG" NUMBER(3) DEFAULT 0,
    "FALLBACK_INSERT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FALLBACK_UPDATE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "IGNORE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "MISSING_DELETE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SKIP_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "TOTAL_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TOTAL_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_JOB_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_START_TIME" TIMESTAMP,
    "TRANSFER_START_TIME" TIMESTAMP,
    "LOAD_START_TIME" TIMESTAMP,
    "FAILED_DATA_ID" NUMBER(38) DEFAULT 0 NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(38) DEFAULT 0 NOT NULL,
    "CREATE_BY" VARCHAR2(255)
)
2020-09-17 07:30:58,743 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_NODE_STATUS" ON "SYM_OUTGOING_BATCH" ("NODE_ID", "STATUS")
2020-09-17 07:30:58,774 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_STATUS" ON "SYM_OUTGOING_BATCH" ("STATUS")
2020-09-17 07:30:58,797 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_IN_ERROR" ON "SYM_OUTGOING_BATCH" ("ERROR_FLAG")
2020-09-17 07:30:58,830 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_OUTGOING_BATCH"
    ADD CONSTRAINT "SYM_OUTGOING_BATCH_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID")
2020-09-17 07:30:58,843 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_PARAMETER"(
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "PARAM_KEY" VARCHAR2(80) NOT NULL,
    "PARAM_VALUE" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:30:58,873 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_PARAMETER"
    ADD CONSTRAINT "SYM_PARAMETER_PK" PRIMARY KEY ("EXTERNAL_ID", "NODE_GROUP_ID", "PARAM_KEY")
2020-09-17 07:30:58,884 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_REGISTRATION_REDIRECT"(
    "REGISTRANT_EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "REGISTRATION_NODE_ID" VARCHAR2(50) NOT NULL
)
2020-09-17 07:30:58,912 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_REGISTRATION_REDIRECT"
    ADD CONSTRAINT "SYM_REGISTRATION_REDIRECT_PK" PRIMARY KEY ("REGISTRANT_EXTERNAL_ID")
2020-09-17 07:30:58,938 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_REGISTRATION_REQUEST"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "STATUS" CHAR(2) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "IP_ADDRESS" VARCHAR2(50) NOT NULL,
    "ATTEMPT_COUNT" NUMBER(22) DEFAULT 0,
    "REGISTERED_NODE_ID" VARCHAR2(50),
    "ERROR_MESSAGE" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:58,969 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_REG_REQ_1" ON "SYM_REGISTRATION_REQUEST" ("NODE_GROUP_ID", "EXTERNAL_ID", "STATUS", "HOST_NAME", "IP_ADDRESS")
2020-09-17 07:30:58,997 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_REG_REQ_2" ON "SYM_REGISTRATION_REQUEST" ("STATUS")
2020-09-17 07:30:59,025 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_REGISTRATION_REQUEST"
    ADD CONSTRAINT "SYM_REGISTRATION_REQUEST_PK" PRIMARY KEY ("NODE_GROUP_ID", "EXTERNAL_ID", "CREATE_TIME")
2020-09-17 07:30:59,056 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_ROUTER"(
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "ROUTER_TYPE" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "ROUTER_EXPRESSION" CLOB,
    "SYNC_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_SOURCE_CATALOG_SCHEMA" NUMBER(3) DEFAULT 1 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:59,093 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_ROUTER"
    ADD CONSTRAINT "SYM_ROUTER_PK" PRIMARY KEY ("ROUTER_ID")
2020-09-17 07:30:59,117 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_SEQUENCE"(
    "SEQUENCE_NAME" VARCHAR2(50) NOT NULL,
    "CURRENT_VALUE" NUMBER(38) DEFAULT 0 NOT NULL,
    "INCREMENT_BY" NUMBER(22) DEFAULT 1 NOT NULL,
    "MIN_VALUE" NUMBER(38) DEFAULT 1 NOT NULL,
    "MAX_VALUE" NUMBER(38) DEFAULT 9999999999 NOT NULL,
    "CYCLE_FLAG" NUMBER(3) DEFAULT 0,
    "CACHE_SIZE" NUMBER(22) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:59,144 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_SEQUENCE"
    ADD CONSTRAINT "SYM_SEQUENCE_PK" PRIMARY KEY ("SEQUENCE_NAME")
2020-09-17 07:30:59,167 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TABLE_RELOAD_REQUEST"(
    "TARGET_NODE_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_ID" VARCHAR2(50) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "CREATE_TABLE" NUMBER(3) DEFAULT 0 NOT NULL,
    "DELETE_FIRST" NUMBER(3) DEFAULT 0 NOT NULL,
    "RELOAD_SELECT" CLOB,
    "BEFORE_CUSTOM_SQL" CLOB,
    "RELOAD_TIME" TIMESTAMP,
    "LOAD_ID" NUMBER(38),
    "PROCESSED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:59,204 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TABLE_RELOAD_REQUEST"
    ADD CONSTRAINT "SYM_TABLE_RELOAD_REQUEST_PK" PRIMARY KEY ("TARGET_NODE_ID", "SOURCE_NODE_ID", "TRIGGER_ID", "ROUTER_ID", "CREATE_TIME")
2020-09-17 07:30:59,239 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TABLE_RELOAD_STATUS"(
    "LOAD_ID" NUMBER(38) NOT NULL,
    "SOURCE_NODE_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_ID" VARCHAR2(50) NOT NULL,
    "START_TIME" TIMESTAMP,
    "END_TIME" TIMESTAMP,
    "COMPLETED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CANCELLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "START_DATA_BATCH_ID" NUMBER(38),
    "END_DATA_BATCH_ID" NUMBER(38),
    "SETUP_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "DATA_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "FINALIZE_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "SETUP_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "DATA_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "FINALIZE_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "TABLE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "ROWS_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "ROWS_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "ERROR_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:59,267 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TABLE_RELOAD_STATUS"
    ADD CONSTRAINT "SYM_TABLE_RELOAD_STATUS_PK" PRIMARY KEY ("LOAD_ID", "SOURCE_NODE_ID")
2020-09-17 07:30:59,289 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRANSFORM_TABLE"(
    "TRANSFORM_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TRANSFORM_POINT" VARCHAR2(10) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "UPDATE_FIRST" NUMBER(3) DEFAULT 0,
    "UPDATE_ACTION" VARCHAR2(255) DEFAULT 'UPDATE_COL' NOT NULL,
    "DELETE_ACTION" VARCHAR2(10) NOT NULL,
    "TRANSFORM_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "COLUMN_POLICY" VARCHAR2(10) DEFAULT 'SPECIFIED' NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:59,318 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
    ADD CONSTRAINT "SYM_TRANSFORM_TABLE_PK" PRIMARY KEY ("TRANSFORM_ID", "SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:30:59,333 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRANSFORM_COLUMN"(
    "TRANSFORM_ID" VARCHAR2(50) NOT NULL,
    "INCLUDE_ON" CHAR(1) DEFAULT '*' NOT NULL,
    "TARGET_COLUMN_NAME" VARCHAR2(128) NOT NULL,
    "SOURCE_COLUMN_NAME" VARCHAR2(128),
    "PK" NUMBER(3) DEFAULT 0,
    "TRANSFORM_TYPE" VARCHAR2(50) DEFAULT 'copy',
    "TRANSFORM_EXPRESSION" CLOB,
    "TRANSFORM_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:59,370 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_COLUMN"
    ADD CONSTRAINT "SYM_TRANSFORM_COLUMN_PK" PRIMARY KEY ("TRANSFORM_ID", "INCLUDE_ON", "TARGET_COLUMN_NAME")
2020-09-17 07:30:59,436 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'reload' NOT NULL,
    "SYNC_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INCOMING_BATCH" NUMBER(3) DEFAULT 0 NOT NULL,
    "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(255),
    "NAME_FOR_INSERT_TRIGGER" VARCHAR2(255),
    "NAME_FOR_DELETE_TRIGGER" VARCHAR2(255),
    "SYNC_ON_UPDATE_CONDITION" CLOB,
    "SYNC_ON_INSERT_CONDITION" CLOB,
    "SYNC_ON_DELETE_CONDITION" CLOB,
    "CUSTOM_BEFORE_UPDATE_TEXT" CLOB,
    "CUSTOM_BEFORE_INSERT_TEXT" CLOB,
    "CUSTOM_BEFORE_DELETE_TEXT" CLOB,
    "CUSTOM_ON_UPDATE_TEXT" CLOB,
    "CUSTOM_ON_INSERT_TEXT" CLOB,
    "CUSTOM_ON_DELETE_TEXT" CLOB,
    "EXTERNAL_SELECT" CLOB,
    "TX_ID_EXPRESSION" CLOB,
    "CHANNEL_EXPRESSION" CLOB,
    "EXCLUDED_COLUMN_NAMES" CLOB,
    "INCLUDED_COLUMN_NAMES" CLOB,
    "SYNC_KEY_NAMES" CLOB,
    "USE_STREAM_LOBS" NUMBER(3) DEFAULT 0 NOT NULL,
    "USE_CAPTURE_LOBS" NUMBER(3) DEFAULT 0 NOT NULL,
    "USE_CAPTURE_OLD_DATA" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_HANDLE_KEY_UPDATES" NUMBER(3) DEFAULT 1 NOT NULL,
    "STREAM_ROW" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:59,500 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_TRIGGER_PK" PRIMARY KEY ("TRIGGER_ID")
2020-09-17 07:30:59,529 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_HIST"(
    "TRIGGER_HIST_ID" NUMBER(22) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(255),
    "NAME_FOR_INSERT_TRIGGER" VARCHAR2(255),
    "NAME_FOR_DELETE_TRIGGER" VARCHAR2(255),
    "TABLE_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRIGGER_ROW_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRIGGER_TEMPLATE_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "COLUMN_NAMES" CLOB NOT NULL,
    "PK_COLUMN_NAMES" CLOB NOT NULL,
    "LAST_TRIGGER_BUILD_REASON" CHAR(1) NOT NULL,
    "ERROR_MESSAGE" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "INACTIVE_TIME" TIMESTAMP
)
2020-09-17 07:30:59,556 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_TRIGG_HIST_1" ON "SYM_TRIGGER_HIST" ("TRIGGER_ID", "INACTIVE_TIME")
2020-09-17 07:30:59,580 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
    ADD CONSTRAINT "SYM_TRIGGER_HIST_PK" PRIMARY KEY ("TRIGGER_HIST_ID")
2020-09-17 07:30:59,604 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_ROUTER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_SELECT" CLOB,
    "INITIAL_LOAD_DELETE_STMT" CLOB,
    "PING_BACK_ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:30:59,643 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_TRIGGER_ROUTER_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:30:59,659 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_ROUTER_GROUPLET"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "APPLIES_WHEN" CHAR(1) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:30:59,697 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_TRIGGER_ROUTER_GROUPLET_PK" PRIMARY KEY ("GROUPLET_ID", "TRIGGER_ID", "ROUTER_ID", "APPLIES_WHEN")
2020-09-17 07:30:59,709 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONFLICT"
    ADD CONSTRAINT "SYM_FK_CF_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:30:59,720 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_FTR_2_FTRG" FOREIGN KEY ("TRIGGER_ID") REFERENCES "SYM_FILE_TRIGGER" ("TRIGGER_ID")
2020-09-17 07:30:59,730 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_FTR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
2020-09-17 07:30:59,739 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET_LINK"
    ADD CONSTRAINT "SYM_FK_GPLTLNK_2_GPLT" FOREIGN KEY ("GROUPLET_ID") REFERENCES "SYM_GROUPLET" ("GROUPLET_ID")
2020-09-17 07:30:59,749 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_FK_LNK_2_GRP_SRC" FOREIGN KEY ("SOURCE_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP" ("NODE_GROUP_ID")
2020-09-17 07:30:59,759 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_FK_LNK_2_GRP_TGT" FOREIGN KEY ("TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP" ("NODE_GROUP_ID")
2020-09-17 07:30:59,772 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_IDENTITY"
    ADD CONSTRAINT "SYM_FK_IDENT_2_NODE" FOREIGN KEY ("NODE_ID") REFERENCES "SYM_NODE" ("NODE_ID")
2020-09-17 07:30:59,781 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_SECURITY"
    ADD CONSTRAINT "SYM_FK_SEC_2_NODE" FOREIGN KEY ("NODE_ID") REFERENCES "SYM_NODE" ("NODE_ID")
2020-09-17 07:30:59,793 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_ROUTER"
    ADD CONSTRAINT "SYM_FK_RT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:30:59,805 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
    ADD CONSTRAINT "SYM_FK_TT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:30:59,818 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_FK_TRG_2_CHNL" FOREIGN KEY ("CHANNEL_ID") REFERENCES "SYM_CHANNEL" ("CHANNEL_ID")
2020-09-17 07:30:59,833 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_FK_TRG_2_RLD_CHNL" FOREIGN KEY ("RELOAD_CHANNEL_ID") REFERENCES "SYM_CHANNEL" ("CHANNEL_ID")
2020-09-17 07:30:59,845 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_TR_2_TRG" FOREIGN KEY ("TRIGGER_ID") REFERENCES "SYM_TRIGGER" ("TRIGGER_ID")
2020-09-17 07:30:59,856 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_TR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
2020-09-17 07:30:59,865 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_FK_TRGPLT_2_GPLT" FOREIGN KEY ("GROUPLET_ID") REFERENCES "SYM_GROUPLET" ("GROUPLET_ID")
2020-09-17 07:30:59,878 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_FK_TRGPLT_2_TR" FOREIGN KEY ("TRIGGER_ID", "ROUTER_ID") REFERENCES "SYM_TRIGGER_ROUTER" ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:30:59,880 INFO [store-001] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of poya01
2020-09-17 07:30:59,880 INFO [store-001] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-09-17 07:30:59,901 INFO [store-001] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-09-17 07:30:59,902 INFO [store-001] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Done with auto update of SymmetricDS tables
2020-09-17 07:30:59,904 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring config channel
2020-09-17 07:30:59,919 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring reload channel
2020-09-17 07:30:59,924 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring monitor channel
2020-09-17 07:30:59,930 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring heartbeat channel
2020-09-17 07:30:59,936 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring default channel
2020-09-17 07:30:59,941 INFO [store-001] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring dynamic channel
2020-09-17 07:30:59,980 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-09-17 07:30:59,981 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : null
2020-09-17 07:30:59,981 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.3
2020-09-17 07:31:02,902 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting unregistered node [group=store, externalId=001]
2020-09-17 07:31:02,927 INFO [store-001] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-09-17T07:31:10.292+0800
2020-09-17 07:31:02,935 INFO [store-001] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-09-17T07:31:10.301+0800
2020-09-17 07:31:02,936 INFO [store-001] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-09-17T07:31:10.302+0800
2020-09-17 07:31:02,937 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-09-17 07:31:02,937 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-09-17 07:31:02,941 INFO [store-001] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-09-17 07:31:02,943 INFO [store-001] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-09-17 07:31:02,944 INFO [store-001] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-09-17 07:31:02,945 INFO [store-001] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-09-17 07:31:02,947 INFO [store-001] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-09-17T07:31:10.313+0800
2020-09-17 07:31:02,948 INFO [store-001] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-09-17T07:31:10.313+0800
2020-09-17 07:31:02,949 INFO [store-001] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-09-17 07:31:02,950 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-09-17 07:31:02,951 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-09-17 07:31:02,951 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-09-17 07:31:02,951 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-09-17 07:31:02,951 INFO [store-001] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-09-17T07:31:10.317+0800
2020-09-17 07:31:02,952 INFO [store-001] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-09-17T07:31:10.318+0800
2020-09-17 07:31:02,953 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-09-17 07:31:02,953 INFO [store-001] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-09-17 07:31:02,953 INFO [store-001] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-09-17T07:31:10.319+0800
2020-09-17 07:31:02,958 INFO [store-001] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=001
	 groupId=store
	 type=server
	 subType=null
	 name=store-001
	 softwareVersion=3.12.3
	 databaseName=Tibero
	 databaseVersion=6.0
	 driverName=Tibero Tibero_6.0.175125_JDBC_1.6_release_20200903
	 driverVersion=6.0. 
	 uptime=0 sec.
2020-09-17 07:31:10,329 INFO [store-001] [PushJob] [store-001-job-2] Did not run the 'Push' job because the engine is not registered.
2020-09-17 07:31:10,330 INFO [store-001] [RouterJob] [store-001-job-1] Did not run the 'Routing' job because the engine is not registered.
2020-09-17 07:31:10,338 INFO [store-001] [MonitorJob] [store-001-job-7] Did not run the 'Monitor' job because the engine is not registered.
2020-09-17 07:31:10,339 INFO [store-001] [InitialLoadExtractorJob] [store-001-job-6] Did not run the 'Initial Load Extract' job because the engine is not registered.
2020-09-17 07:31:10,362 INFO [store-001] [InitialLoadJob] [store-001-job-8] Did not run the 'Initial Load Queue' job because the engine is not registered.
2020-09-17 07:31:10,364 INFO [store-001] [RegistrationService] [store-001-job-3] This node is unregistered.  It will attempt to register using the registration.url
2020-09-17 07:31:10,379 INFO [store-001] [DataLoaderService] [store-001-job-3] Using registration URL of http://192.168.56.151:8080/sync/corp-000/registration
2020-09-17 07:31:13,859 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Grouplets flushed because new grouplet config came through the data loader
2020-09-17 07:31:13,859 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Load filters flushed because new filter config came through the data loader
2020-09-17 07:31:13,859 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] Channels flushed because new channels came through the data loader
2020-09-17 07:31:13,859 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of conflict settings because new configuration came through the data loader
2020-09-17 07:31:13,859 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of parameters because new configuration came through the data loader
2020-09-17 07:31:13,871 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-1] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:31:13,874 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-3] About to refresh the cache of transformation because new configuration came through the data loader
2020-09-17 07:31:13,874 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-3] About to clear the staging area because new transform configuration came through the data loader
2020-09-17 07:31:13,876 INFO [store-001] [StagingManager] [store-001-job-3] Cleaning staging...
2020-09-17 07:31:13,878 INFO [store-001] [StagingManager] [store-001-job-3] Purged 1 staging files, freed 13 KB of disk space.
2020-09-17 07:31:13,879 INFO [store-001] [StagingManager] [store-001-job-3] Finished cleaning staging in 0 seconds.
2020-09-17 07:31:13,879 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-job-3] About to syncTriggers because new configuration came through the data loader
2020-09-17 07:31:13,879 INFO [store-001] [TriggerRouterService] [store-001-job-3] Synchronizing triggers
2020-09-17 07:31:14,064 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_RTR_STR trigger for SYMM.SYM_ROUTER
2020-09-17 07:31:14,107 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_RTR_STR trigger for SYMM.SYM_ROUTER
2020-09-17 07:31:14,188 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_RTR_STR trigger for SYMM.SYM_ROUTER
2020-09-17 07:31:14,328 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_TBL trigger for SYMM.SYM_TRANSFORM_TABLE
2020-09-17 07:31:14,356 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_TBL trigger for SYMM.SYM_TRANSFORM_TABLE
2020-09-17 07:31:14,429 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_TBL trigger for SYMM.SYM_TRANSFORM_TABLE
2020-09-17 07:31:14,507 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_PRMTR_STR trigger for SYMM.SYM_PARAMETER
2020-09-17 07:31:14,527 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_PRMTR_STR trigger for SYMM.SYM_PARAMETER
2020-09-17 07:31:14,581 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_PRMTR_STR trigger for SYMM.SYM_PARAMETER
2020-09-17 07:31:14,659 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_RTR trigger for SYMM.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:31:14,676 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_RTR trigger for SYMM.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:31:14,734 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_RTR trigger for SYMM.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:31:14,817 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TBL_RLD_RQST trigger for SYMM.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:31:14,843 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TBL_RLD_RQST trigger for SYMM.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:31:14,922 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TBL_RLD_RQST trigger for SYMM.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:31:15,048 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_LNK_STR trigger for SYMM.SYM_GROUPLET_LINK
2020-09-17 07:31:15,062 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_LNK_STR trigger for SYMM.SYM_GROUPLET_LINK
2020-09-17 07:31:15,114 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_LNK_STR trigger for SYMM.SYM_GROUPLET_LINK
2020-09-17 07:31:15,178 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_STR trigger for SYMM.SYM_GROUPLET
2020-09-17 07:31:15,192 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_STR trigger for SYMM.SYM_GROUPLET
2020-09-17 07:31:15,245 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_STR trigger for SYMM.SYM_GROUPLET
2020-09-17 07:31:15,348 INFO [store-001] [DataService] [store-001-job-4] Inserting missing last data gap: { startId: 1, endId: 50000001, createTime: "Thu Sep 17 07:31:15 CST 2020" }
2020-09-17 07:31:15,355 INFO [store-001] [DataGapFastDetector] [store-001-job-4] Full gap analysis is running
2020-09-17 07:31:15,359 INFO [store-001] [DataGapFastDetector] [store-001-job-4] Querying data in gaps from database took 3 ms
2020-09-17 07:31:15,360 INFO [store-001] [DataGapFastDetector] [store-001-job-4] Full gap analysis is done after 4 ms
2020-09-17 07:31:15,366 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:15,450 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:15,508 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:15,575 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_STR trigger for SYMM.SYM_FILE_TRIGGER
2020-09-17 07:31:15,603 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_STR trigger for SYMM.SYM_FILE_TRIGGER
2020-09-17 07:31:15,686 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_STR trigger for SYMM.SYM_FILE_TRIGGER
2020-09-17 07:31:15,753 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_CLMN trigger for SYMM.SYM_TRANSFORM_COLUMN
2020-09-17 07:31:15,773 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_CLMN trigger for SYMM.SYM_TRANSFORM_COLUMN
2020-09-17 07:31:15,835 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_CLMN trigger for SYMM.SYM_TRANSFORM_COLUMN
2020-09-17 07:31:15,902 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_JB_STR trigger for SYMM.SYM_JOB
2020-09-17 07:31:15,922 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_JB_STR trigger for SYMM.SYM_JOB
2020-09-17 07:31:15,976 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_JB_STR trigger for SYMM.SYM_JOB
2020-09-17 07:31:16,038 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_STR trigger for SYMM.SYM_TRIGGER_ROUTER
2020-09-17 07:31:16,056 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_STR trigger for SYMM.SYM_TRIGGER_ROUTER
2020-09-17 07:31:16,116 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_STR trigger for SYMM.SYM_TRIGGER_ROUTER
2020-09-17 07:31:16,188 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_STR trigger for SYMM.SYM_NODE
2020-09-17 07:31:16,205 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_STR trigger for SYMM.SYM_NODE
2020-09-17 07:31:16,269 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_STR trigger for SYMM.SYM_NODE
2020-09-17 07:31:16,330 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:16,345 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:16,402 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:16,464 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_CHNNL trigger for SYMM.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:31:16,483 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_CHNNL trigger for SYMM.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:31:16,538 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_CHNNL trigger for SYMM.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:31:16,612 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_NTFCTN_STR trigger for SYMM.SYM_NOTIFICATION
2020-09-17 07:31:16,636 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_NTFCTN_STR trigger for SYMM.SYM_NOTIFICATION
2020-09-17 07:31:16,699 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_NTFCTN_STR trigger for SYMM.SYM_NOTIFICATION
2020-09-17 07:31:16,780 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_LNK trigger for SYMM.SYM_NODE_GROUP_LINK
2020-09-17 07:31:16,800 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_LNK trigger for SYMM.SYM_NODE_GROUP_LINK
2020-09-17 07:31:16,858 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_LNK trigger for SYMM.SYM_NODE_GROUP_LINK
2020-09-17 07:31:16,949 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_STR trigger for SYMM.SYM_NODE_GROUP
2020-09-17 07:31:16,987 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_STR trigger for SYMM.SYM_NODE_GROUP
2020-09-17 07:31:17,038 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_STR trigger for SYMM.SYM_NODE_GROUP
2020-09-17 07:31:17,101 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_SCRTY_STR trigger for SYMM.SYM_NODE_SECURITY
2020-09-17 07:31:17,118 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_SCRTY_STR trigger for SYMM.SYM_NODE_SECURITY
2020-09-17 07:31:17,174 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_SCRTY_STR trigger for SYMM.SYM_NODE_SECURITY
2020-09-17 07:31:17,241 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_LD_FLTR_STR trigger for SYMM.SYM_LOAD_FILTER
2020-09-17 07:31:17,266 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_LD_FLTR_STR trigger for SYMM.SYM_LOAD_FILTER
2020-09-17 07:31:17,353 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_LD_FLTR_STR trigger for SYMM.SYM_LOAD_FILTER
2020-09-17 07:31:17,422 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_MNTR_STR trigger for SYMM.SYM_MONITOR
2020-09-17 07:31:17,440 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_MNTR_STR trigger for SYMM.SYM_MONITOR
2020-09-17 07:31:17,493 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_MNTR_STR trigger for SYMM.SYM_MONITOR
2020-09-17 07:31:17,559 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_XTNSN_STR trigger for SYMM.SYM_EXTENSION
2020-09-17 07:31:17,576 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_XTNSN_STR trigger for SYMM.SYM_EXTENSION
2020-09-17 07:31:17,646 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_XTNSN_STR trigger for SYMM.SYM_EXTENSION
2020-09-17 07:31:17,708 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CNFLCT_STR trigger for SYMM.SYM_CONFLICT
2020-09-17 07:31:17,726 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CNFLCT_STR trigger for SYMM.SYM_CONFLICT
2020-09-17 07:31:17,790 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CNFLCT_STR trigger for SYMM.SYM_CONFLICT
2020-09-17 07:31:17,864 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_STR trigger for SYMM.SYM_TRIGGER
2020-09-17 07:31:17,928 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_STR trigger for SYMM.SYM_TRIGGER
2020-09-17 07:31:18,015 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_STR trigger for SYMM.SYM_TRIGGER
2020-09-17 07:31:18,093 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CHNNL_STR trigger for SYMM.SYM_CHANNEL
2020-09-17 07:31:18,117 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CHNNL_STR trigger for SYMM.SYM_CHANNEL
2020-09-17 07:31:18,179 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CHNNL_STR trigger for SYMM.SYM_CHANNEL
2020-09-17 07:31:18,245 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_GR trigger for SYMM.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:31:18,260 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_GR trigger for SYMM.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:31:18,313 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_GR trigger for SYMM.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:31:18,379 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_HST_STR trigger for SYMM.SYM_NODE_HOST
2020-09-17 07:31:18,401 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_HST_STR trigger for SYMM.SYM_NODE_HOST
2020-09-17 07:31:18,469 INFO [store-001] [TiberoSymmetricDialect] [store-001-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_HST_STR trigger for SYMM.SYM_NODE_HOST
2020-09-17 07:31:18,484 INFO [store-001] [TriggerRouterService] [store-001-job-3] Done synchronizing triggers
2020-09-17 07:31:18,506 INFO [store-001] [RegistrationService] [store-001-job-3] Successfully registered node [id=001]
2020-09-17 07:31:18,511 INFO [store-001] [ExtensionService] [store-001-job-3] Found 0 extension points from the database that will be registered
2020-09-17 07:31:18,512 INFO [store-001] [ClientExtensionService] [store-001-job-3] Found 8 extension points from spring that will be registered
2020-09-17 07:31:18,512 INFO [store-001] [PushHeartbeatListener] [store-001-job-3] Some attribute(s) of node changed.  Recording changes
2020-09-17 07:31:18,513 INFO [store-001] [PushHeartbeatListener] [store-001-job-3] Updating my node configuration info according to the symmetric properties
2020-09-17 07:31:18,558 INFO [store-001] [PullService] [store-001-job-3] Node store:001 just registered, not pulling yet
2020-09-17 07:31:20,379 INFO [store-001] [NodeCommunicationService] [store-001-job-11] push will use 10 threads
2020-09-17 07:31:20,483 INFO [store-001] [ConfigurationChangedDataRouter] [store-001-job-12] About to refresh the cache of nodes because new configuration came through the data router
2020-09-17 07:31:20,545 INFO [store-001] [RouterService] [store-001-job-12] Routed 2 data events in 181 ms
2020-09-17 07:31:28,578 INFO [store-001] [NodeCommunicationService] [store-001-job-10] pull will use 10 threads
2020-09-17 07:31:29,012 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-2] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:31:29,023 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-2] About to refresh the cache of nodes because new configuration came through the data loader
2020-09-17 07:31:29,066 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="NAME" type="VARCHAR" size="100">
			<platform-column name="oracle122" type="VARCHAR2" size="100"/>
		</column>
	</table>
</database>
2020-09-17 07:31:29,104 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-2] Running alter sql:
DROP TABLE "SYMM"."ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "SYMM"."ITEM_"
    ADD CONSTRAINT "ITEM__PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "SYMM"."ITEM_" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "SYMM"."ITEM";
DROP TABLE "SYMM"."ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "SYMM"."ITEM"
    ADD CONSTRAINT "ITEM_PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "SYMM"."ITEM" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "SYMM"."ITEM_";
DROP TABLE "SYMM"."ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:29,346 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM_SELLING_PRICE">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" primaryKey="true" primaryKeySeq="2" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="COST" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
	</table>
</database>
2020-09-17 07:31:29,387 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-2] Running alter sql:
DROP TABLE "SYMM"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_SELLING_PRICE_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "SYMM"."ITEM_SELLING_PRICE_"
    ADD CONSTRAINT "ITEM_SELLING_PRICE__PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "SYMM"."ITEM_SELLING_PRICE_" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "SYMM"."ITEM_SELLING_PRICE";
DROP TABLE "SYMM"."ITEM_SELLING_PRICE" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_SELLING_PRICE"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "SYMM"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "ITEM_SELLING_PRICE_PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "SYMM"."ITEM_SELLING_PRICE" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "SYMM"."ITEM_SELLING_PRICE_";
DROP TABLE "SYMM"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:29,543 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_TRANSACTION">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="WORKSTATION" required="true" type="VARCHAR" size="3">
			<platform-column name="oracle122" type="VARCHAR2" size="3"/>
		</column>
		<column name="DAY" required="true" type="VARCHAR" size="10">
			<platform-column name="oracle122" type="VARCHAR2" size="10"/>
		</column>
		<column name="SEQ" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:31:29,578 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-2] Running alter sql:
DROP TABLE "SYMM"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_TRANSACTION_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22) NOT NULL
);
ALTER TABLE "SYMM"."SALE_TRANSACTION_"
    ADD CONSTRAINT "SALE_TRANSACTION__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_TRANSACTION_" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "SYMM"."SALE_TRANSACTION";
DROP TABLE "SYMM"."SALE_TRANSACTION" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_TRANSACTION"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22,0) NOT NULL
);
ALTER TABLE "SYMM"."SALE_TRANSACTION"
    ADD CONSTRAINT "SALE_TRANSACTION_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_TRANSACTION" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "SYMM"."SALE_TRANSACTION_";
DROP TABLE "SYMM"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:29,782 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_RETURN_LINE_ITEM">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="ITEM_ID" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="QUANTITY" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="RETURNED_QUANTITY" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:31:29,828 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-2] Running alter sql:
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_RETURN_LINE_ITEM_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "ITEM_ID" NUMBER(22) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22)
);
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM_"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_RETURN_LINE_ITEM_" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "SYMM"."SALE_RETURN_LINE_ITEM";
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_RETURN_LINE_ITEM"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22,0) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22,0)
);
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_RETURN_LINE_ITEM" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "SYMM"."SALE_RETURN_LINE_ITEM_";
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:30,237 INFO [store-001] [ConfigurationChangedDatabaseWriterFilter] [store-001-dataloader-2] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:31:30,318 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Synchronizing triggers for SYMM.SALE_TRANSACTION
2020-09-17 07:31:30,341 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:30,367 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:30,423 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:30,479 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Done synchronizing triggers for SYMM.SALE_TRANSACTION
2020-09-17 07:31:30,596 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Synchronizing triggers for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:30,639 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:30,660 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:30,670 INFO [store-001] [PushService] [store-001-push-default-2] Push data sent to corp:000:000
2020-09-17 07:31:30,699 INFO [store-001] [ConfigurationChangedDataRouter] [store-001-job-17] About to refresh the cache of nodes because new configuration came through the data router
2020-09-17 07:31:30,699 INFO [store-001] [ConfigurationChangedDataRouter] [store-001-job-17] About to refresh the cache of node security because new configuration came through the data router
2020-09-17 07:31:30,700 INFO [store-001] [RouterService] [store-001-job-17] Routed 6 data events in 137 ms
2020-09-17 07:31:30,739 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:30,758 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Done synchronizing triggers for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:30,849 INFO [store-001] [PushService] [store-001-push-default-2] Pushed data to node corp:000:000. 2 data and 2 batches were processed. (sym_node, sym_node_host)
2020-09-17 07:31:30,890 INFO [store-001] [PullService] [store-001-pull-default-1] Pull data received from corp:000:000 on queue default. 15 rows and 13 batches were processed. (sym_node, sym_table_reload_request, sym_node_security, item, item_selling_price, sale_transaction, sale_return_line_item)
2020-09-17 07:31:31,029 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="NAME" type="VARCHAR" size="100">
			<platform-column name="oracle122" type="VARCHAR2" size="100"/>
		</column>
	</table>
</database>
2020-09-17 07:31:31,080 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-3] Running alter sql:
DROP TABLE "SYMM"."ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "SYMM"."ITEM_"
    ADD CONSTRAINT "ITEM__PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "SYMM"."ITEM_" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "SYMM"."ITEM";
DROP TABLE "SYMM"."ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "SYMM"."ITEM"
    ADD CONSTRAINT "ITEM_PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "SYMM"."ITEM" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "SYMM"."ITEM_";
DROP TABLE "SYMM"."ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:31,269 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM_SELLING_PRICE">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" primaryKey="true" primaryKeySeq="2" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="COST" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<foreign-key name="FK_PRICE_ITEM_ID" foreignTable="ITEM" foreignTableCatalog="" foreignTableSchema="">
			<reference local="ITEM_ID" foreign="ITEM_ID"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:31:31,308 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-3] Running alter sql:
DROP TABLE "SYMM"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_SELLING_PRICE_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "SYMM"."ITEM_SELLING_PRICE_"
    ADD CONSTRAINT "ITEM_SELLING_PRICE__PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "SYMM"."ITEM_SELLING_PRICE_" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "SYMM"."ITEM_SELLING_PRICE";
DROP TABLE "SYMM"."ITEM_SELLING_PRICE" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."ITEM_SELLING_PRICE"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "SYMM"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "ITEM_SELLING_PRICE_PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "SYMM"."ITEM_SELLING_PRICE" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "SYMM"."ITEM_SELLING_PRICE_";
DROP TABLE "SYMM"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
ALTER TABLE "SYMM"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "FK_PRICE_ITEM_ID" FOREIGN KEY ("ITEM_ID") REFERENCES "SYMM"."ITEM" ("ITEM_ID");

2020-09-17 07:31:31,466 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_TRANSACTION">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="WORKSTATION" required="true" type="VARCHAR" size="3">
			<platform-column name="oracle122" type="VARCHAR2" size="3"/>
		</column>
		<column name="DAY" required="true" type="VARCHAR" size="10">
			<platform-column name="oracle122" type="VARCHAR2" size="10"/>
		</column>
		<column name="SEQ" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:31:31,503 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-3] Running alter sql:
DROP TABLE "SYMM"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_TRANSACTION_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22) NOT NULL
);
ALTER TABLE "SYMM"."SALE_TRANSACTION_"
    ADD CONSTRAINT "SALE_TRANSACTION__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_TRANSACTION_" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "SYMM"."SALE_TRANSACTION";
DROP TABLE "SYMM"."SALE_TRANSACTION" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_TRANSACTION"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22,0) NOT NULL
);
ALTER TABLE "SYMM"."SALE_TRANSACTION"
    ADD CONSTRAINT "SALE_TRANSACTION_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_TRANSACTION" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "SYMM"."SALE_TRANSACTION_";
DROP TABLE "SYMM"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:31:31,684 INFO [store-001] [DefaultDatabaseWriter] [store-001-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_RETURN_LINE_ITEM">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="ITEM_ID" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="QUANTITY" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="RETURNED_QUANTITY" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<foreign-key name="FK_SRLI_ITEM_ID" foreignTable="ITEM" foreignTableCatalog="" foreignTableSchema="">
			<reference local="ITEM_ID" foreign="ITEM_ID"/>
		</foreign-key>
		<foreign-key name="FK_SRLI_TRAN_ID" foreignTable="SALE_TRANSACTION" foreignTableCatalog="" foreignTableSchema="">
			<reference local="TRAN_ID" foreign="TRAN_ID"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:31:31,723 INFO [store-001] [TiberoDatabasePlatform] [store-001-dataloader-3] Running alter sql:
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_RETURN_LINE_ITEM_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "ITEM_ID" NUMBER(22) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22)
);
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM_"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_RETURN_LINE_ITEM_" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "SYMM"."SALE_RETURN_LINE_ITEM";
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "SYMM"."SALE_RETURN_LINE_ITEM"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22,0) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22,0)
);
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "SYMM"."SALE_RETURN_LINE_ITEM" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "SYMM"."SALE_RETURN_LINE_ITEM_";
DROP TABLE "SYMM"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "FK_SRLI_ITEM_ID" FOREIGN KEY ("ITEM_ID") REFERENCES "SYMM"."ITEM" ("ITEM_ID");
ALTER TABLE "SYMM"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "FK_SRLI_TRAN_ID" FOREIGN KEY ("TRAN_ID") REFERENCES "SYMM"."SALE_TRANSACTION" ("TRAN_ID");

2020-09-17 07:31:31,948 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Synchronizing triggers for SYMM.SALE_TRANSACTION
2020-09-17 07:31:31,954 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:31,969 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:32,020 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for SYMM.SALE_TRANSACTION
2020-09-17 07:31:32,040 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Done synchronizing triggers for SYMM.SALE_TRANSACTION
2020-09-17 07:31:32,113 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Synchronizing triggers for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:32,119 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:32,135 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:32,189 INFO [store-001] [TiberoSymmetricDialect] [store-001-pull-default-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:32,205 INFO [store-001] [TriggerRouterService] [store-001-pull-default-1] Done synchronizing triggers for SYMM.SALE_RETURN_LINE_ITEM
2020-09-17 07:31:32,237 INFO [store-001] [PullService] [store-001-pull-default-1] Pull data received from corp:000:000 on queue default. 4 rows and 4 batches were processed. (item, item_selling_price, sale_transaction, sale_return_line_item)
2020-09-17 07:35:05,630 INFO [] [AbstractCommandLauncher] [main] Option: name=engine, value={store-002}
2020-09-17 07:35:05,635 INFO [] [AbstractCommandLauncher] [main] Option: name=format, value={XML}
2020-09-17 07:35:05,635 INFO [] [AbstractCommandLauncher] [main] Option: name=alter-case, value={}
2020-09-17 07:35:06,014 INFO [] [AbstractSymmetricEngine] [main] Initializing connection to database
2020-09-17 07:35:06,051 INFO [] [JdbcDatabasePlatformFactory] [main] Detected database 'Tibero', version '6', protocol 'tibero'
2020-09-17 07:35:06,080 INFO [] [JdbcDatabasePlatformFactory] [main] The IDatabasePlatform being used is org.jumpmind.db.platform.tibero.TiberoDatabasePlatform
2020-09-17 07:35:06,502 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="item">
		<column name="item_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="name" type="VARCHAR" size="100"/>
	</table>
</database>
2020-09-17 07:35:06,569 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="item_selling_price">
		<column name="item_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="store_id" primaryKey="true" primaryKeySeq="0" required="true" type="VARCHAR" size="5"/>
		<column name="price" required="true" type="DECIMAL" size="10,2"/>
		<column name="cost" type="DECIMAL" size="10,2"/>
		<foreign-key name="fk_price_item_id" foreignTable="item" foreignTableCatalog="" foreignTableSchema="">
			<reference local="item_id" foreign="item_id"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:35:06,643 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="sale_transaction">
		<column name="tran_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="store_id" required="true" type="VARCHAR" size="5"/>
		<column name="workstation" required="true" type="VARCHAR" size="3"/>
		<column name="day" required="true" type="VARCHAR" size="10"/>
		<column name="seq" required="true" type="INTEGER"/>
	</table>
</database>
2020-09-17 07:35:06,697 INFO [] [DefaultDatabaseWriter] [main] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dbimport">
	<table name="sale_return_line_item">
		<column name="tran_id" primaryKey="true" primaryKeySeq="0" required="true" type="INTEGER"/>
		<column name="item_id" required="true" type="INTEGER"/>
		<column name="price" required="true" type="DECIMAL" size="10,2"/>
		<column name="quantity" required="true" type="INTEGER"/>
		<column name="returned_quantity" type="INTEGER"/>
		<foreign-key name="fk_srli_tran_id" foreignTable="sale_transaction" foreignTableCatalog="" foreignTableSchema="">
			<reference local="tran_id" foreign="tran_id"/>
		</foreign-key>
		<foreign-key name="fk_srli_item_id" foreignTable="item" foreignTableCatalog="" foreignTableSchema="">
			<reference local="item_id" foreign="item_id"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:36:07,755 INFO [startup] [AbstractCommandLauncher] [main] Option: name=engine, value={store-002}
2020-09-17 07:36:07,760 INFO [startup] [AbstractCommandLauncher] [main] Option: name=port, value={9091}
2020-09-17 07:36:07,804 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-09-17 07:36:07,994 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:9091:HTTP/1.1
2020-09-17 07:36:08,572 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-09-17 07:36:09,081 INFO [store-002] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] Detected database 'Tibero', version '6', protocol 'tibero'
2020-09-17 07:36:09,130 INFO [store-002] [JdbcDatabasePlatformFactory] [symmetric-engine-startup-1] The IDatabasePlatform being used is org.jumpmind.db.platform.tibero.TiberoDatabasePlatform
2020-09-17 07:36:09,295 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] The DbDialect being used is org.jumpmind.symmetric.db.tibero.TiberoSymmetricDialect
2020-09-17 07:36:09,429 INFO [store-002] [StagingManager] [symmetric-engine-startup-1] The staging directory was initialized at the following location: /tmax/symmetric-corp/tmp/store-002
2020-09-17 07:36:10,977 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-09-17 07:36:11,140 INFO [store-002] [ClientExtensionService] [symmetric-engine-startup-1] Found 8 extension points from spring that will be registered
2020-09-17 07:36:11,165 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing SymmetricDS database
2020-09-17 07:36:11,220 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE FUNCTION sym_blob2clob (blob_in IN BLOB)                                                                                                                                                RETURN CLOB                                                                                                                                                             AS                                                                                                                                                                            v_clob    CLOB := null;                                                                                                                                                   v_varchar VARCHAR2(32767);                                                                                                                                                v_start   PLS_INTEGER := 1;                                                                                                                                               v_buffer  PLS_INTEGER := 999;                                                                                                                                         BEGIN                                                                                                                                                                         IF blob_in IS NOT NULL THEN                                                                                                                                                   IF DBMS_LOB.GETLENGTH(blob_in) > 0 THEN                                                                                                                                       DBMS_LOB.CREATETEMPORARY(v_clob, TRUE);                                                                                                                                   FOR i IN 1..CEIL(DBMS_LOB.GETLENGTH(blob_in) / v_buffer)                                                                                                                  LOOP                                                                                                                                                                          v_varchar := UTL_RAW.CAST_TO_VARCHAR2(UTL_ENCODE.base64_encode(DBMS_LOB.SUBSTR(blob_in, v_buffer, v_start)));                                                             v_varchar := REPLACE(v_varchar,CHR(13)||CHR(10));                                                                                                                         DBMS_LOB.WRITEAPPEND(v_clob, LENGTH(v_varchar), v_varchar);                                                                                                               v_start := v_start + v_buffer;                                                                                                                                        END LOOP;                                                                                                                                                             END IF;                                                                                                                                                               END IF;                                                                                                                                                                   RETURN v_clob;                                                                                                                                                        END sym_blob2clob;                                                                                                                                                   
2020-09-17 07:36:11,281 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_blob2clob
2020-09-17 07:36:11,318 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE function sym_transaction_id                                                                                                                                                                return varchar is                                                                                                                                                     begin                                                                                                                                                                    return DBMS_TRANSACTION.local_transaction_id(false);                                                                                                               end;                                                                                                                                                               
2020-09-17 07:36:11,366 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_transaction_id
2020-09-17 07:36:11,403 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE function sym_trigger_disabled return varchar is                                                                                                                                              begin                                                                                                                                                                      return sym_pkg.disable_trigger;                                                                                                                                      end;                                                                                                                                                                 
2020-09-17 07:36:11,474 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_trigger_disabled
2020-09-17 07:36:11,510 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE package sym_pkg as                                                                                                                                                                         disable_trigger pls_integer;                                                                                                                                             disable_node_id varchar(50);                                                                                                                                             procedure setValue (a IN number);                                                                                                                                        procedure setNodeValue (node_id IN varchar);                                                                                                                         end sym_pkg;                                                                                                                                                           
2020-09-17 07:36:11,559 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_pkg
2020-09-17 07:36:11,560 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
CREATE OR REPLACE package body sym_pkg as                                                                                                                                                                   procedure setValue(a IN number) is                                                                                                                                      begin                                                                                                                                                                       sym_pkg.disable_trigger:=a;                                                                                                                                        end;                                                                                                                                                                    procedure setNodeValue(node_id IN varchar) is                                                                                                                           begin                                                                                                                                                                       sym_pkg.disable_node_id := node_id;                                                                                                                                end;                                                                                                                                                                end sym_pkg;                                                                                                                                                           
2020-09-17 07:36:11,606 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_pkg
2020-09-17 07:36:11,650 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Installing SymmetricDS database object:
  CREATE OR REPLACE                                                                                                             FUNCTION sym_wkt2geom(                                    clob_in IN CLOB)                                       RETURN SDO_GEOMETRY                                    AS                                                         v_out SDO_GEOMETRY := NULL;                            BEGIN                                                      IF clob_in IS NOT NULL THEN                                IF DBMS_LOB.GETLENGTH(clob_in) > 0 THEN                    v_out := SDO_GEOMETRY(clob_in);                        END IF;                                                END IF;                                                  RETURN v_out;                                          END sym_wkt2geom;                                 
2020-09-17 07:36:11,724 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Just installed sym_wkt2geom
2020-09-17 07:36:11,725 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Checking if SymmetricDS tables need created or altered
2020-09-17 07:36:12,504 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] There are SymmetricDS tables that needed altered
2020-09-17 07:36:12,538 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CHANNEL"(
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "PROCESSING_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "MAX_BATCH_SIZE" NUMBER(22) DEFAULT 1000 NOT NULL,
    "MAX_BATCH_TO_SEND" NUMBER(22) DEFAULT 60 NOT NULL,
    "MAX_DATA_TO_ROUTE" NUMBER(22) DEFAULT 100000 NOT NULL,
    "EXTRACT_PERIOD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_OLD_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_ROW_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_PK_DATA_TO_ROUTE" NUMBER(3) DEFAULT 1 NOT NULL,
    "RELOAD_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "FILE_SYNC_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "CONTAINS_BIG_LOB" NUMBER(3) DEFAULT 0 NOT NULL,
    "BATCH_ALGORITHM" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "DATA_LOADER_TYPE" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "QUEUE" VARCHAR2(25) DEFAULT 'default' NOT NULL,
    "MAX_NETWORK_KBPS" NUMBER(10,3) DEFAULT 0.000 NOT NULL,
    "DATA_EVENT_ACTION" CHAR(1),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,585 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CHANNEL"
    ADD CONSTRAINT "SYM_CHANNEL_PK" PRIMARY KEY ("CHANNEL_ID")
2020-09-17 07:36:12,597 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CONFLICT"(
    "CONFLICT_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CHANNEL_ID" VARCHAR2(128),
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "DETECT_TYPE" VARCHAR2(128) NOT NULL,
    "DETECT_EXPRESSION" CLOB,
    "RESOLVE_TYPE" VARCHAR2(128) NOT NULL,
    "PING_BACK" VARCHAR2(128) NOT NULL,
    "RESOLVE_CHANGES_ONLY" NUMBER(3) DEFAULT 0,
    "RESOLVE_ROW_ONLY" NUMBER(3) DEFAULT 0,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:12,628 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONFLICT"
    ADD CONSTRAINT "SYM_CONFLICT_PK" PRIMARY KEY ("CONFLICT_ID")
2020-09-17 07:36:12,634 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_CONTEXT"(
    "NAME" VARCHAR2(80) NOT NULL,
    "CONTEXT_VALUE" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,659 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONTEXT"
    ADD CONSTRAINT "SYM_CONTEXT_PK" PRIMARY KEY ("NAME")
2020-09-17 07:36:12,661 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE SEQUENCE "SEQ_SYM_DATA_DATA_ID" CACHE 1000 ORDER
2020-09-17 07:36:12,677 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA"(
    "DATA_ID" NUMBER(38) NOT NULL ,
    "TABLE_NAME" VARCHAR2(255) NOT NULL,
    "EVENT_TYPE" CHAR(1) NOT NULL,
    "ROW_DATA" CLOB,
    "PK_DATA" CLOB,
    "OLD_DATA" CLOB,
    "TRIGGER_HIST_ID" NUMBER(22) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "TRANSACTION_ID" VARCHAR2(255),
    "SOURCE_NODE_ID" VARCHAR2(50),
    "EXTERNAL_DATA" VARCHAR2(50),
    "NODE_LIST" VARCHAR2(255),
    "IS_PREROUTED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,702 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE UNIQUE INDEX "SYM_IDX_D_CHANNEL_ID" ON "SYM_DATA" ("DATA_ID", "CHANNEL_ID")
2020-09-17 07:36:12,725 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA"
    ADD CONSTRAINT "SYM_DATA_PK" PRIMARY KEY ("DATA_ID")
2020-09-17 07:36:12,730 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE OR REPLACE TRIGGER "TRG_SYM_DATA_DATA_ID" BEFORE INSERT ON "SYM_DATA" FOR EACH ROW WHEN (new."DATA_ID" IS NULL)
BEGIN SELECT "SEQ_SYM_DATA_DATA_ID".nextval INTO :new."DATA_ID" FROM dual; END;
2020-09-17 07:36:12,735 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA_EVENT"(
    "DATA_ID" NUMBER(38) NOT NULL,
    "BATCH_ID" NUMBER(38) NOT NULL,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,758 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_DE_BATCHID" ON "SYM_DATA_EVENT" ("BATCH_ID")
2020-09-17 07:36:12,788 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA_EVENT"
    ADD CONSTRAINT "SYM_DATA_EVENT_PK" PRIMARY KEY ("DATA_ID", "BATCH_ID")
2020-09-17 07:36:12,794 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_DATA_GAP"(
    "START_ID" NUMBER(38) NOT NULL,
    "END_ID" NUMBER(38) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255)
)
2020-09-17 07:36:12,818 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_DATA_GAP"
    ADD CONSTRAINT "SYM_DATA_GAP_PK" PRIMARY KEY ("START_ID", "END_ID")
2020-09-17 07:36:12,830 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_EXTENSION"(
    "EXTENSION_ID" VARCHAR2(50) NOT NULL,
    "EXTENSION_TYPE" VARCHAR2(10) NOT NULL,
    "INTERFACE_NAME" VARCHAR2(255),
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "EXTENSION_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "EXTENSION_TEXT" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,855 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_EXTENSION"
    ADD CONSTRAINT "SYM_EXTENSION_PK" PRIMARY KEY ("EXTENSION_ID")
2020-09-17 07:36:12,871 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_EXTRACT_REQUEST"(
    "REQUEST_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "QUEUE" VARCHAR2(128),
    "STATUS" CHAR(2),
    "START_BATCH_ID" NUMBER(38) NOT NULL,
    "END_BATCH_ID" NUMBER(38) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "LOAD_ID" NUMBER(38),
    "TABLE_NAME" VARCHAR2(255),
    "EXTRACTED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "EXTRACTED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRANSFERRED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRANSFERRED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_TRANSFERRED_BATCH_ID" NUMBER(38),
    "LOADED_ROWS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOADED_MILLIS" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_LOADED_BATCH_ID" NUMBER(38),
    "TOTAL_ROWS" NUMBER(38),
    "LOADED_TIME" TIMESTAMP,
    "PARENT_REQUEST_ID" NUMBER(38) DEFAULT 0 NOT NULL,
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP
)
2020-09-17 07:36:12,900 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_EXTRACT_REQUEST"
    ADD CONSTRAINT "SYM_EXTRACT_REQUEST_PK" PRIMARY KEY ("REQUEST_ID")
2020-09-17 07:36:12,907 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_INCOMING"(
    "RELATIVE_DIR" VARCHAR2(255) NOT NULL,
    "FILE_NAME" VARCHAR2(128) NOT NULL,
    "LAST_EVENT_TYPE" CHAR(1) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "FILE_MODIFIED_TIME" NUMBER(38)
)
2020-09-17 07:36:12,931 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_INCOMING"
    ADD CONSTRAINT "SYM_FILE_INCOMING_PK" PRIMARY KEY ("RELATIVE_DIR", "FILE_NAME")
2020-09-17 07:36:12,943 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_SNAPSHOT"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "RELATIVE_DIR" VARCHAR2(255) NOT NULL,
    "FILE_NAME" VARCHAR2(128) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync' NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync_reload' NOT NULL,
    "LAST_EVENT_TYPE" CHAR(1) NOT NULL,
    "CRC32_CHECKSUM" NUMBER(38),
    "FILE_SIZE" NUMBER(38),
    "FILE_MODIFIED_TIME" NUMBER(38),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:12,963 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_F_SNPSHT_CHID" ON "SYM_FILE_SNAPSHOT" ("RELOAD_CHANNEL_ID")
2020-09-17 07:36:12,990 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_SNAPSHOT"
    ADD CONSTRAINT "SYM_FILE_SNAPSHOT_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID", "RELATIVE_DIR", "FILE_NAME")
2020-09-17 07:36:13,012 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_TRIGGER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync' NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'filesync_reload' NOT NULL,
    "BASE_DIR" VARCHAR2(255) NOT NULL,
    "RECURSE" NUMBER(3) DEFAULT 1 NOT NULL,
    "INCLUDES_FILES" VARCHAR2(255),
    "EXCLUDES_FILES" VARCHAR2(255),
    "SYNC_ON_CREATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_MODIFIED" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_CTL_FILE" NUMBER(3) DEFAULT 0 NOT NULL,
    "DELETE_AFTER_SYNC" NUMBER(3) DEFAULT 0 NOT NULL,
    "BEFORE_COPY_SCRIPT" CLOB,
    "AFTER_COPY_SCRIPT" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:13,041 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER"
    ADD CONSTRAINT "SYM_FILE_TRIGGER_PK" PRIMARY KEY ("TRIGGER_ID")
2020-09-17 07:36:13,053 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_FILE_TRIGGER_ROUTER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "TARGET_BASE_DIR" VARCHAR2(255),
    "CONFLICT_STRATEGY" VARCHAR2(128) DEFAULT 'source_wins' NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:13,078 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FILE_TRIGGER_ROUTER_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:36:13,086 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_GROUPLET"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "GROUPLET_LINK_POLICY" CHAR(1) DEFAULT 'I' NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:13,110 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET"
    ADD CONSTRAINT "SYM_GROUPLET_PK" PRIMARY KEY ("GROUPLET_ID")
2020-09-17 07:36:13,118 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_GROUPLET_LINK"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:13,144 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET_LINK"
    ADD CONSTRAINT "SYM_GROUPLET_LINK_PK" PRIMARY KEY ("GROUPLET_ID", "EXTERNAL_ID")
2020-09-17 07:36:13,186 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_INCOMING_BATCH"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "STATUS" CHAR(2),
    "ERROR_FLAG" NUMBER(3) DEFAULT 0,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP,
    "SUMMARY" VARCHAR2(255),
    "IGNORE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "BYTE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOAD_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "RELOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "OTHER_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "NETWORK_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "FILTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ROUTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ID" NUMBER(38),
    "COMMON_FLAG" NUMBER(3) DEFAULT 0,
    "FALLBACK_INSERT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FALLBACK_UPDATE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "IGNORE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "MISSING_DELETE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SKIP_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_ROW_NUMBER" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(22) DEFAULT 0 NOT NULL,
    "FAILED_DATA_ID" NUMBER(38) DEFAULT 0 NOT NULL
)
2020-09-17 07:36:13,217 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_IB_TIME_STATUS" ON "SYM_INCOMING_BATCH" ("CREATE_TIME", "STATUS")
2020-09-17 07:36:13,237 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_IB_IN_ERROR" ON "SYM_INCOMING_BATCH" ("ERROR_FLAG")
2020-09-17 07:36:13,264 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_INCOMING_BATCH"
    ADD CONSTRAINT "SYM_INCOMING_BATCH_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID")
2020-09-17 07:36:13,289 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_INCOMING_ERROR"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "FAILED_ROW_NUMBER" NUMBER(38) NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(38) DEFAULT 0 NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "EVENT_TYPE" CHAR(1) NOT NULL,
    "BINARY_ENCODING" VARCHAR2(10) DEFAULT 'HEX' NOT NULL,
    "COLUMN_NAMES" CLOB NOT NULL,
    "PK_COLUMN_NAMES" CLOB NOT NULL,
    "ROW_DATA" CLOB,
    "OLD_DATA" CLOB,
    "CUR_DATA" CLOB,
    "RESOLVE_DATA" CLOB,
    "RESOLVE_IGNORE" NUMBER(3) DEFAULT 0,
    "CONFLICT_ID" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:13,323 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_INCOMING_ERROR"
    ADD CONSTRAINT "SYM_INCOMING_ERROR_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID", "FAILED_ROW_NUMBER")
2020-09-17 07:36:13,335 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_JOB"(
    "JOB_NAME" VARCHAR2(50) NOT NULL,
    "JOB_TYPE" VARCHAR2(10) NOT NULL,
    "REQUIRES_REGISTRATION" NUMBER(3) DEFAULT 1 NOT NULL,
    "JOB_EXPRESSION" CLOB,
    "DESCRIPTION" VARCHAR2(255),
    "DEFAULT_SCHEDULE" VARCHAR2(50),
    "DEFAULT_AUTO_START" NUMBER(3) DEFAULT 1 NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "CREATE_BY" VARCHAR2(50),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:13,360 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_JOB"
    ADD CONSTRAINT "SYM_JOB_PK" PRIMARY KEY ("JOB_NAME")
2020-09-17 07:36:13,387 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_LOAD_FILTER"(
    "LOAD_FILTER_ID" VARCHAR2(50) NOT NULL,
    "LOAD_FILTER_TYPE" VARCHAR2(10) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "FILTER_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "FILTER_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "FILTER_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "BEFORE_WRITE_SCRIPT" CLOB,
    "AFTER_WRITE_SCRIPT" CLOB,
    "BATCH_COMPLETE_SCRIPT" CLOB,
    "BATCH_COMMIT_SCRIPT" CLOB,
    "BATCH_ROLLBACK_SCRIPT" CLOB,
    "HANDLE_ERROR_SCRIPT" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "LOAD_FILTER_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "FAIL_ON_ERROR" NUMBER(3) DEFAULT 0 NOT NULL
)
2020-09-17 07:36:13,423 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_LOAD_FILTER"
    ADD CONSTRAINT "SYM_LOAD_FILTER_PK" PRIMARY KEY ("LOAD_FILTER_ID")
2020-09-17 07:36:13,432 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_LOCK"(
    "LOCK_ACTION" VARCHAR2(50) NOT NULL,
    "LOCK_TYPE" VARCHAR2(50) NOT NULL,
    "LOCKING_SERVER_ID" VARCHAR2(255),
    "LOCK_TIME" TIMESTAMP,
    "SHARED_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SHARED_ENABLE" NUMBER(22) DEFAULT 0 NOT NULL,
    "LAST_LOCK_TIME" TIMESTAMP,
    "LAST_LOCKING_SERVER_ID" VARCHAR2(255)
)
2020-09-17 07:36:13,456 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_LOCK"
    ADD CONSTRAINT "SYM_LOCK_PK" PRIMARY KEY ("LOCK_ACTION")
2020-09-17 07:36:13,466 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "SYNC_ENABLED" NUMBER(3) DEFAULT 0,
    "SYNC_URL" VARCHAR2(255),
    "SCHEMA_VERSION" VARCHAR2(50),
    "SYMMETRIC_VERSION" VARCHAR2(50),
    "CONFIG_VERSION" VARCHAR2(50),
    "DATABASE_TYPE" VARCHAR2(50),
    "DATABASE_VERSION" VARCHAR2(50),
    "DATABASE_NAME" VARCHAR2(50),
    "BATCH_TO_SEND_COUNT" NUMBER(22) DEFAULT 0,
    "BATCH_IN_ERROR_COUNT" NUMBER(22) DEFAULT 0,
    "CREATED_AT_NODE_ID" VARCHAR2(50),
    "DEPLOYMENT_TYPE" VARCHAR2(50),
    "DEPLOYMENT_SUB_TYPE" VARCHAR2(50)
)
2020-09-17 07:36:13,492 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE"
    ADD CONSTRAINT "SYM_NODE_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:36:13,501 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_COMMUNICATION"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "QUEUE" VARCHAR2(25) DEFAULT 'default' NOT NULL,
    "COMMUNICATION_TYPE" VARCHAR2(10) NOT NULL,
    "LOCK_TIME" TIMESTAMP,
    "LOCKING_SERVER_ID" VARCHAR2(255),
    "LAST_LOCK_TIME" TIMESTAMP,
    "LAST_LOCK_MILLIS" NUMBER(38) DEFAULT 0,
    "SUCCESS_COUNT" NUMBER(38) DEFAULT 0,
    "FAIL_COUNT" NUMBER(38) DEFAULT 0,
    "SKIP_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_SUCCESS_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_FAIL_COUNT" NUMBER(38) DEFAULT 0,
    "TOTAL_SUCCESS_MILLIS" NUMBER(38) DEFAULT 0,
    "TOTAL_FAIL_MILLIS" NUMBER(38) DEFAULT 0,
    "BATCH_TO_SEND_COUNT" NUMBER(38) DEFAULT 0,
    "NODE_PRIORITY" NUMBER(22) DEFAULT 0
)
2020-09-17 07:36:13,529 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_COMMUNICATION"
    ADD CONSTRAINT "SYM_NODE_COMMUNICATION_PK" PRIMARY KEY ("NODE_ID", "QUEUE", "COMMUNICATION_TYPE")
2020-09-17 07:36:13,535 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_CHANNEL_CTL"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "SUSPEND_ENABLED" NUMBER(3) DEFAULT 0,
    "IGNORE_ENABLED" NUMBER(3) DEFAULT 0,
    "LAST_EXTRACT_TIME" TIMESTAMP
)
2020-09-17 07:36:13,557 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_CHANNEL_CTL"
    ADD CONSTRAINT "SYM_NODE_CHANNEL_CTL_PK" PRIMARY KEY ("NODE_ID", "CHANNEL_ID")
2020-09-17 07:36:13,563 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "DESCRIPTION" VARCHAR2(255),
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:13,586 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP"
    ADD CONSTRAINT "SYM_NODE_GROUP_PK" PRIMARY KEY ("NODE_GROUP_ID")
2020-09-17 07:36:13,600 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP_CHANNEL_WND"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL
)
2020-09-17 07:36:13,630 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_CHANNEL_WND"
    ADD CONSTRAINT "SYM_NODE_GROUP_CHANNEL_WND_PK" PRIMARY KEY ("NODE_GROUP_ID", "CHANNEL_ID", "START_TIME", "END_TIME")
2020-09-17 07:36:13,640 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_GROUP_LINK"(
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "DATA_EVENT_ACTION" CHAR(1) DEFAULT 'W' NOT NULL,
    "SYNC_CONFIG_ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "IS_REVERSIBLE" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:13,670 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_NODE_GROUP_LINK_PK" PRIMARY KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:36:13,685 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "INSTANCE_ID" VARCHAR2(60),
    "IP_ADDRESS" VARCHAR2(50),
    "OS_USER" VARCHAR2(50),
    "OS_NAME" VARCHAR2(50),
    "OS_ARCH" VARCHAR2(50),
    "OS_VERSION" VARCHAR2(50),
    "AVAILABLE_PROCESSORS" NUMBER(22) DEFAULT 0,
    "FREE_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "TOTAL_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "MAX_MEMORY_BYTES" NUMBER(38) DEFAULT 0,
    "JAVA_VERSION" VARCHAR2(50),
    "JAVA_VENDOR" VARCHAR2(255),
    "JDBC_VERSION" VARCHAR2(255),
    "SYMMETRIC_VERSION" VARCHAR2(50),
    "TIMEZONE_OFFSET" VARCHAR2(6),
    "HEARTBEAT_TIME" TIMESTAMP,
    "LAST_RESTART_TIME" TIMESTAMP NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:13,711 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST"
    ADD CONSTRAINT "SYM_NODE_HOST_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME")
2020-09-17 07:36:13,723 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_CHANNEL_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "DATA_ROUTED" NUMBER(38) DEFAULT 0,
    "DATA_UNROUTED" NUMBER(38) DEFAULT 0,
    "DATA_EVENT_INSERTED" NUMBER(38) DEFAULT 0,
    "DATA_EXTRACTED" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_EXTRACTED" NUMBER(38) DEFAULT 0,
    "DATA_EXTRACTED_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_SENT" NUMBER(38) DEFAULT 0,
    "DATA_SENT" NUMBER(38) DEFAULT 0,
    "DATA_SENT_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_LOADED" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_LOADED" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_ERRORS" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_OUTGOING" NUMBER(38) DEFAULT 0,
    "DATA_BYTES_LOADED_OUTGOING" NUMBER(38) DEFAULT 0,
    "DATA_LOADED_OUTGOING_ERRORS" NUMBER(38) DEFAULT 0
)
2020-09-17 07:36:13,746 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_CHNL_STS" ON "SYM_NODE_HOST_CHANNEL_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:36:13,770 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_CHANNEL_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_CHANNEL_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "CHANNEL_ID", "START_TIME", "END_TIME")
2020-09-17 07:36:13,781 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_JOB_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "JOB_NAME" VARCHAR2(50) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "PROCESSED_COUNT" NUMBER(38) DEFAULT 0,
    "TARGET_NODE_ID" VARCHAR2(50),
    "TARGET_NODE_COUNT" NUMBER(22) DEFAULT 0
)
2020-09-17 07:36:13,803 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_JOB" ON "SYM_NODE_HOST_JOB_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:36:13,834 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_JOB_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_JOB_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "JOB_NAME", "START_TIME", "END_TIME")
2020-09-17 07:36:13,847 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_HOST_STATS"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "START_TIME" TIMESTAMP NOT NULL,
    "END_TIME" TIMESTAMP NOT NULL,
    "RESTARTED" NUMBER(38) DEFAULT 0 NOT NULL,
    "NODES_PULLED" NUMBER(38) DEFAULT 0,
    "TOTAL_NODES_PULL_TIME" NUMBER(38) DEFAULT 0,
    "NODES_PUSHED" NUMBER(38) DEFAULT 0,
    "TOTAL_NODES_PUSH_TIME" NUMBER(38) DEFAULT 0,
    "NODES_REJECTED" NUMBER(38) DEFAULT 0,
    "NODES_REGISTERED" NUMBER(38) DEFAULT 0,
    "NODES_LOADED" NUMBER(38) DEFAULT 0,
    "NODES_DISABLED" NUMBER(38) DEFAULT 0,
    "PURGED_DATA_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_DATA_EVENT_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_BATCH_OUTGOING_ROWS" NUMBER(38) DEFAULT 0,
    "PURGED_BATCH_INCOMING_ROWS" NUMBER(38) DEFAULT 0,
    "TRIGGERS_CREATED_COUNT" NUMBER(38),
    "TRIGGERS_REBUILT_COUNT" NUMBER(38),
    "TRIGGERS_REMOVED_COUNT" NUMBER(38)
)
2020-09-17 07:36:13,870 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_ND_HST_STS" ON "SYM_NODE_HOST_STATS" ("NODE_ID", "START_TIME", "END_TIME")
2020-09-17 07:36:13,894 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_HOST_STATS"
    ADD CONSTRAINT "SYM_NODE_HOST_STATS_PK" PRIMARY KEY ("NODE_ID", "HOST_NAME", "START_TIME", "END_TIME")
2020-09-17 07:36:13,899 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_IDENTITY"(
    "NODE_ID" VARCHAR2(50) NOT NULL
)
2020-09-17 07:36:13,923 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_IDENTITY"
    ADD CONSTRAINT "SYM_NODE_IDENTITY_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:36:13,931 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NODE_SECURITY"(
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "NODE_PASSWORD" VARCHAR2(50) NOT NULL,
    "REGISTRATION_ENABLED" NUMBER(3) DEFAULT 0,
    "REGISTRATION_TIME" TIMESTAMP,
    "INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 0,
    "INITIAL_LOAD_TIME" TIMESTAMP,
    "INITIAL_LOAD_ID" NUMBER(38),
    "INITIAL_LOAD_CREATE_BY" VARCHAR2(255),
    "REV_INITIAL_LOAD_ENABLED" NUMBER(3) DEFAULT 0,
    "REV_INITIAL_LOAD_TIME" TIMESTAMP,
    "REV_INITIAL_LOAD_ID" NUMBER(38),
    "REV_INITIAL_LOAD_CREATE_BY" VARCHAR2(255),
    "FAILED_LOGINS" NUMBER(3) DEFAULT 0,
    "CREATED_AT_NODE_ID" VARCHAR2(50)
)
2020-09-17 07:36:13,956 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_SECURITY"
    ADD CONSTRAINT "SYM_NODE_SECURITY_PK" PRIMARY KEY ("NODE_ID")
2020-09-17 07:36:13,974 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_MONITOR"(
    "MONITOR_ID" VARCHAR2(128) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) DEFAULT 'ALL' NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) DEFAULT 'ALL' NOT NULL,
    "TYPE" VARCHAR2(50) NOT NULL,
    "EXPRESSION" CLOB,
    "THRESHOLD" NUMBER(38) DEFAULT 0 NOT NULL,
    "RUN_PERIOD" NUMBER(22) DEFAULT 0 NOT NULL,
    "RUN_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:14,003 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_MONITOR"
    ADD CONSTRAINT "SYM_MONITOR_PK" PRIMARY KEY ("MONITOR_ID")
2020-09-17 07:36:14,024 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_MONITOR_EVENT"(
    "MONITOR_ID" VARCHAR2(128) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "EVENT_TIME" TIMESTAMP NOT NULL,
    "HOST_NAME" VARCHAR2(60),
    "TYPE" VARCHAR2(50) NOT NULL,
    "THRESHOLD" NUMBER(38) DEFAULT 0 NOT NULL,
    "EVENT_VALUE" NUMBER(38) DEFAULT 0 NOT NULL,
    "EVENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "IS_RESOLVED" NUMBER(3) DEFAULT 0 NOT NULL,
    "IS_NOTIFIED" NUMBER(3) DEFAULT 0 NOT NULL,
    "DETAILS" CLOB,
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:14,053 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_MONITOR_EVENT"
    ADD CONSTRAINT "SYM_MONITOR_EVENT_PK" PRIMARY KEY ("MONITOR_ID", "NODE_ID", "EVENT_TIME")
2020-09-17 07:36:14,067 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_NOTIFICATION"(
    "NOTIFICATION_ID" VARCHAR2(128) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) DEFAULT 'ALL' NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) DEFAULT 'ALL' NOT NULL,
    "SEVERITY_LEVEL" NUMBER(22) DEFAULT 0 NOT NULL,
    "TYPE" VARCHAR2(50) NOT NULL,
    "EXPRESSION" CLOB,
    "ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:14,091 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NOTIFICATION"
    ADD CONSTRAINT "SYM_NOTIFICATION_PK" PRIMARY KEY ("NOTIFICATION_ID")
2020-09-17 07:36:14,152 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_OUTGOING_BATCH"(
    "BATCH_ID" NUMBER(38) NOT NULL,
    "NODE_ID" VARCHAR2(50) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "STATUS" CHAR(2),
    "ERROR_FLAG" NUMBER(3) DEFAULT 0,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_HOSTNAME" VARCHAR2(255),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "CREATE_TIME" TIMESTAMP,
    "SUMMARY" VARCHAR2(255),
    "IGNORE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "BYTE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "LOAD_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SENT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "RELOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "OTHER_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "DATA_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_INSERT_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_UPDATE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_DELETE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "NETWORK_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "FILTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "ROUTER_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TRANSFORM_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "LOAD_ID" NUMBER(38),
    "COMMON_FLAG" NUMBER(3) DEFAULT 0,
    "FALLBACK_INSERT_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "FALLBACK_UPDATE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "IGNORE_ROW_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "MISSING_DELETE_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "SKIP_COUNT" NUMBER(22) DEFAULT 0 NOT NULL,
    "TOTAL_EXTRACT_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "TOTAL_LOAD_MILLIS" NUMBER(22) DEFAULT 0 NOT NULL,
    "EXTRACT_JOB_FLAG" NUMBER(3) DEFAULT 0,
    "EXTRACT_START_TIME" TIMESTAMP,
    "TRANSFER_START_TIME" TIMESTAMP,
    "LOAD_START_TIME" TIMESTAMP,
    "FAILED_DATA_ID" NUMBER(38) DEFAULT 0 NOT NULL,
    "FAILED_LINE_NUMBER" NUMBER(38) DEFAULT 0 NOT NULL,
    "CREATE_BY" VARCHAR2(255)
)
2020-09-17 07:36:14,181 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_NODE_STATUS" ON "SYM_OUTGOING_BATCH" ("NODE_ID", "STATUS")
2020-09-17 07:36:14,203 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_STATUS" ON "SYM_OUTGOING_BATCH" ("STATUS")
2020-09-17 07:36:14,222 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_OB_IN_ERROR" ON "SYM_OUTGOING_BATCH" ("ERROR_FLAG")
2020-09-17 07:36:14,248 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_OUTGOING_BATCH"
    ADD CONSTRAINT "SYM_OUTGOING_BATCH_PK" PRIMARY KEY ("BATCH_ID", "NODE_ID")
2020-09-17 07:36:14,258 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_PARAMETER"(
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "PARAM_KEY" VARCHAR2(80) NOT NULL,
    "PARAM_VALUE" CLOB,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP
)
2020-09-17 07:36:14,282 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_PARAMETER"
    ADD CONSTRAINT "SYM_PARAMETER_PK" PRIMARY KEY ("EXTERNAL_ID", "NODE_GROUP_ID", "PARAM_KEY")
2020-09-17 07:36:14,290 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_REGISTRATION_REDIRECT"(
    "REGISTRANT_EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "REGISTRATION_NODE_ID" VARCHAR2(50) NOT NULL
)
2020-09-17 07:36:14,314 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_REGISTRATION_REDIRECT"
    ADD CONSTRAINT "SYM_REGISTRATION_REDIRECT_PK" PRIMARY KEY ("REGISTRANT_EXTERNAL_ID")
2020-09-17 07:36:14,331 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_REGISTRATION_REQUEST"(
    "NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "EXTERNAL_ID" VARCHAR2(255) NOT NULL,
    "STATUS" CHAR(2) NOT NULL,
    "HOST_NAME" VARCHAR2(60) NOT NULL,
    "IP_ADDRESS" VARCHAR2(50) NOT NULL,
    "ATTEMPT_COUNT" NUMBER(22) DEFAULT 0,
    "REGISTERED_NODE_ID" VARCHAR2(50),
    "ERROR_MESSAGE" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:14,354 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_REG_REQ_1" ON "SYM_REGISTRATION_REQUEST" ("NODE_GROUP_ID", "EXTERNAL_ID", "STATUS", "HOST_NAME", "IP_ADDRESS")
2020-09-17 07:36:14,370 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_REG_REQ_2" ON "SYM_REGISTRATION_REQUEST" ("STATUS")
2020-09-17 07:36:14,397 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_REGISTRATION_REQUEST"
    ADD CONSTRAINT "SYM_REGISTRATION_REQUEST_PK" PRIMARY KEY ("NODE_GROUP_ID", "EXTERNAL_ID", "CREATE_TIME")
2020-09-17 07:36:14,419 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_ROUTER"(
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "ROUTER_TYPE" VARCHAR2(50) DEFAULT 'default' NOT NULL,
    "ROUTER_EXPRESSION" CLOB,
    "SYNC_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_SOURCE_CATALOG_SCHEMA" NUMBER(3) DEFAULT 1 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:14,446 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_ROUTER"
    ADD CONSTRAINT "SYM_ROUTER_PK" PRIMARY KEY ("ROUTER_ID")
2020-09-17 07:36:14,466 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_SEQUENCE"(
    "SEQUENCE_NAME" VARCHAR2(50) NOT NULL,
    "CURRENT_VALUE" NUMBER(38) DEFAULT 0 NOT NULL,
    "INCREMENT_BY" NUMBER(22) DEFAULT 1 NOT NULL,
    "MIN_VALUE" NUMBER(38) DEFAULT 1 NOT NULL,
    "MAX_VALUE" NUMBER(38) DEFAULT 9999999999 NOT NULL,
    "CYCLE_FLAG" NUMBER(3) DEFAULT 0,
    "CACHE_SIZE" NUMBER(22) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:14,489 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_SEQUENCE"
    ADD CONSTRAINT "SYM_SEQUENCE_PK" PRIMARY KEY ("SEQUENCE_NAME")
2020-09-17 07:36:14,510 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TABLE_RELOAD_REQUEST"(
    "TARGET_NODE_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_ID" VARCHAR2(50) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "CREATE_TABLE" NUMBER(3) DEFAULT 0 NOT NULL,
    "DELETE_FIRST" NUMBER(3) DEFAULT 0 NOT NULL,
    "RELOAD_SELECT" CLOB,
    "BEFORE_CUSTOM_SQL" CLOB,
    "RELOAD_TIME" TIMESTAMP,
    "LOAD_ID" NUMBER(38),
    "PROCESSED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CHANNEL_ID" VARCHAR2(128),
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:14,545 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TABLE_RELOAD_REQUEST"
    ADD CONSTRAINT "SYM_TABLE_RELOAD_REQUEST_PK" PRIMARY KEY ("TARGET_NODE_ID", "SOURCE_NODE_ID", "TRIGGER_ID", "ROUTER_ID", "CREATE_TIME")
2020-09-17 07:36:14,585 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TABLE_RELOAD_STATUS"(
    "LOAD_ID" NUMBER(38) NOT NULL,
    "SOURCE_NODE_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_ID" VARCHAR2(50) NOT NULL,
    "START_TIME" TIMESTAMP,
    "END_TIME" TIMESTAMP,
    "COMPLETED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CANCELLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "START_DATA_BATCH_ID" NUMBER(38),
    "END_DATA_BATCH_ID" NUMBER(38),
    "SETUP_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "DATA_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "FINALIZE_BATCH_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "SETUP_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "DATA_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "FINALIZE_BATCH_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "TABLE_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "ROWS_LOADED" NUMBER(38) DEFAULT 0 NOT NULL,
    "ROWS_COUNT" NUMBER(38) DEFAULT 0 NOT NULL,
    "ERROR_FLAG" NUMBER(3) DEFAULT 0 NOT NULL,
    "SQL_STATE" VARCHAR2(10),
    "SQL_CODE" NUMBER(22) DEFAULT 0 NOT NULL,
    "SQL_MESSAGE" CLOB,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:14,620 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TABLE_RELOAD_STATUS"
    ADD CONSTRAINT "SYM_TABLE_RELOAD_STATUS_PK" PRIMARY KEY ("LOAD_ID", "SOURCE_NODE_ID")
2020-09-17 07:36:14,644 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRANSFORM_TABLE"(
    "TRANSFORM_ID" VARCHAR2(50) NOT NULL,
    "SOURCE_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TARGET_NODE_GROUP_ID" VARCHAR2(50) NOT NULL,
    "TRANSFORM_POINT" VARCHAR2(10) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "TARGET_CATALOG_NAME" VARCHAR2(255),
    "TARGET_SCHEMA_NAME" VARCHAR2(255),
    "TARGET_TABLE_NAME" VARCHAR2(255),
    "UPDATE_FIRST" NUMBER(3) DEFAULT 0,
    "UPDATE_ACTION" VARCHAR2(255) DEFAULT 'UPDATE_COL' NOT NULL,
    "DELETE_ACTION" VARCHAR2(10) NOT NULL,
    "TRANSFORM_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "COLUMN_POLICY" VARCHAR2(10) DEFAULT 'SPECIFIED' NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:14,673 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
    ADD CONSTRAINT "SYM_TRANSFORM_TABLE_PK" PRIMARY KEY ("TRANSFORM_ID", "SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:36:14,688 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRANSFORM_COLUMN"(
    "TRANSFORM_ID" VARCHAR2(50) NOT NULL,
    "INCLUDE_ON" CHAR(1) DEFAULT '*' NOT NULL,
    "TARGET_COLUMN_NAME" VARCHAR2(128) NOT NULL,
    "SOURCE_COLUMN_NAME" VARCHAR2(128),
    "PK" NUMBER(3) DEFAULT 0,
    "TRANSFORM_TYPE" VARCHAR2(50) DEFAULT 'copy',
    "TRANSFORM_EXPRESSION" CLOB,
    "TRANSFORM_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "CREATE_TIME" TIMESTAMP,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:14,719 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_COLUMN"
    ADD CONSTRAINT "SYM_TRANSFORM_COLUMN_PK" PRIMARY KEY ("TRANSFORM_ID", "INCLUDE_ON", "TARGET_COLUMN_NAME")
2020-09-17 07:36:14,783 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "CHANNEL_ID" VARCHAR2(128) NOT NULL,
    "RELOAD_CHANNEL_ID" VARCHAR2(128) DEFAULT 'reload' NOT NULL,
    "SYNC_ON_UPDATE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INSERT" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_DELETE" NUMBER(3) DEFAULT 1 NOT NULL,
    "SYNC_ON_INCOMING_BATCH" NUMBER(3) DEFAULT 0 NOT NULL,
    "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(255),
    "NAME_FOR_INSERT_TRIGGER" VARCHAR2(255),
    "NAME_FOR_DELETE_TRIGGER" VARCHAR2(255),
    "SYNC_ON_UPDATE_CONDITION" CLOB,
    "SYNC_ON_INSERT_CONDITION" CLOB,
    "SYNC_ON_DELETE_CONDITION" CLOB,
    "CUSTOM_BEFORE_UPDATE_TEXT" CLOB,
    "CUSTOM_BEFORE_INSERT_TEXT" CLOB,
    "CUSTOM_BEFORE_DELETE_TEXT" CLOB,
    "CUSTOM_ON_UPDATE_TEXT" CLOB,
    "CUSTOM_ON_INSERT_TEXT" CLOB,
    "CUSTOM_ON_DELETE_TEXT" CLOB,
    "EXTERNAL_SELECT" CLOB,
    "TX_ID_EXPRESSION" CLOB,
    "CHANNEL_EXPRESSION" CLOB,
    "EXCLUDED_COLUMN_NAMES" CLOB,
    "INCLUDED_COLUMN_NAMES" CLOB,
    "SYNC_KEY_NAMES" CLOB,
    "USE_STREAM_LOBS" NUMBER(3) DEFAULT 0 NOT NULL,
    "USE_CAPTURE_LOBS" NUMBER(3) DEFAULT 0 NOT NULL,
    "USE_CAPTURE_OLD_DATA" NUMBER(3) DEFAULT 1 NOT NULL,
    "USE_HANDLE_KEY_UPDATES" NUMBER(3) DEFAULT 1 NOT NULL,
    "STREAM_ROW" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:14,839 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_TRIGGER_PK" PRIMARY KEY ("TRIGGER_ID")
2020-09-17 07:36:14,866 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_HIST"(
    "TRIGGER_HIST_ID" NUMBER(22) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "SOURCE_TABLE_NAME" VARCHAR2(255) NOT NULL,
    "SOURCE_CATALOG_NAME" VARCHAR2(255),
    "SOURCE_SCHEMA_NAME" VARCHAR2(255),
    "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(255),
    "NAME_FOR_INSERT_TRIGGER" VARCHAR2(255),
    "NAME_FOR_DELETE_TRIGGER" VARCHAR2(255),
    "TABLE_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRIGGER_ROW_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "TRIGGER_TEMPLATE_HASH" NUMBER(38) DEFAULT 0 NOT NULL,
    "COLUMN_NAMES" CLOB NOT NULL,
    "PK_COLUMN_NAMES" CLOB NOT NULL,
    "LAST_TRIGGER_BUILD_REASON" CHAR(1) NOT NULL,
    "ERROR_MESSAGE" CLOB,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "INACTIVE_TIME" TIMESTAMP
)
2020-09-17 07:36:14,894 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE INDEX "SYM_IDX_TRIGG_HIST_1" ON "SYM_TRIGGER_HIST" ("TRIGGER_ID", "INACTIVE_TIME")
2020-09-17 07:36:14,918 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
    ADD CONSTRAINT "SYM_TRIGGER_HIST_PK" PRIMARY KEY ("TRIGGER_HIST_ID")
2020-09-17 07:36:14,940 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_ROUTER"(
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "ENABLED" NUMBER(3) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_ORDER" NUMBER(22) DEFAULT 1 NOT NULL,
    "INITIAL_LOAD_SELECT" CLOB,
    "INITIAL_LOAD_DELETE_STMT" CLOB,
    "PING_BACK_ENABLED" NUMBER(3) DEFAULT 0 NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL,
    "DESCRIPTION" CLOB
)
2020-09-17 07:36:14,971 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_TRIGGER_ROUTER_PK" PRIMARY KEY ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:36:14,989 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: CREATE TABLE "SYM_TRIGGER_ROUTER_GROUPLET"(
    "GROUPLET_ID" VARCHAR2(50) NOT NULL,
    "TRIGGER_ID" VARCHAR2(128) NOT NULL,
    "ROUTER_ID" VARCHAR2(50) NOT NULL,
    "APPLIES_WHEN" CHAR(1) NOT NULL,
    "CREATE_TIME" TIMESTAMP NOT NULL,
    "LAST_UPDATE_BY" VARCHAR2(50),
    "LAST_UPDATE_TIME" TIMESTAMP NOT NULL
)
2020-09-17 07:36:15,022 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_TRIGGER_ROUTER_GROUPLET_PK" PRIMARY KEY ("GROUPLET_ID", "TRIGGER_ID", "ROUTER_ID", "APPLIES_WHEN")
2020-09-17 07:36:15,032 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_CONFLICT"
    ADD CONSTRAINT "SYM_FK_CF_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:36:15,043 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_FTR_2_FTRG" FOREIGN KEY ("TRIGGER_ID") REFERENCES "SYM_FILE_TRIGGER" ("TRIGGER_ID")
2020-09-17 07:36:15,052 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_FTR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
2020-09-17 07:36:15,060 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_GROUPLET_LINK"
    ADD CONSTRAINT "SYM_FK_GPLTLNK_2_GPLT" FOREIGN KEY ("GROUPLET_ID") REFERENCES "SYM_GROUPLET" ("GROUPLET_ID")
2020-09-17 07:36:15,068 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_FK_LNK_2_GRP_SRC" FOREIGN KEY ("SOURCE_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP" ("NODE_GROUP_ID")
2020-09-17 07:36:15,077 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_GROUP_LINK"
    ADD CONSTRAINT "SYM_FK_LNK_2_GRP_TGT" FOREIGN KEY ("TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP" ("NODE_GROUP_ID")
2020-09-17 07:36:15,085 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_IDENTITY"
    ADD CONSTRAINT "SYM_FK_IDENT_2_NODE" FOREIGN KEY ("NODE_ID") REFERENCES "SYM_NODE" ("NODE_ID")
2020-09-17 07:36:15,094 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_NODE_SECURITY"
    ADD CONSTRAINT "SYM_FK_SEC_2_NODE" FOREIGN KEY ("NODE_ID") REFERENCES "SYM_NODE" ("NODE_ID")
2020-09-17 07:36:15,104 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_ROUTER"
    ADD CONSTRAINT "SYM_FK_RT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:36:15,114 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
    ADD CONSTRAINT "SYM_FK_TT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2020-09-17 07:36:15,126 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_FK_TRG_2_CHNL" FOREIGN KEY ("CHANNEL_ID") REFERENCES "SYM_CHANNEL" ("CHANNEL_ID")
2020-09-17 07:36:15,138 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER"
    ADD CONSTRAINT "SYM_FK_TRG_2_RLD_CHNL" FOREIGN KEY ("RELOAD_CHANNEL_ID") REFERENCES "SYM_CHANNEL" ("CHANNEL_ID")
2020-09-17 07:36:15,149 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_TR_2_TRG" FOREIGN KEY ("TRIGGER_ID") REFERENCES "SYM_TRIGGER" ("TRIGGER_ID")
2020-09-17 07:36:15,160 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
    ADD CONSTRAINT "SYM_FK_TR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
2020-09-17 07:36:15,169 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_FK_TRGPLT_2_GPLT" FOREIGN KEY ("GROUPLET_ID") REFERENCES "SYM_GROUPLET" ("GROUPLET_ID")
2020-09-17 07:36:15,179 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER_GROUPLET"
    ADD CONSTRAINT "SYM_FK_TRGPLT_2_TR" FOREIGN KEY ("TRIGGER_ID", "ROUTER_ID") REFERENCES "SYM_TRIGGER_ROUTER" ("TRIGGER_ID", "ROUTER_ID")
2020-09-17 07:36:15,182 INFO [store-002] [ClusterService] [symmetric-engine-startup-1] This node picked a server id of poya01
2020-09-17 07:36:15,182 INFO [store-002] [TriggerRouterService] [symmetric-engine-startup-1] Synchronizing triggers
2020-09-17 07:36:15,202 INFO [store-002] [TriggerRouterService] [symmetric-engine-startup-1] Done synchronizing triggers
2020-09-17 07:36:15,203 INFO [store-002] [TiberoSymmetricDialect] [symmetric-engine-startup-1] Done with auto update of SymmetricDS tables
2020-09-17 07:36:15,204 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring config channel
2020-09-17 07:36:15,217 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring reload channel
2020-09-17 07:36:15,221 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring monitor channel
2020-09-17 07:36:15,224 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring heartbeat channel
2020-09-17 07:36:15,228 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring default channel
2020-09-17 07:36:15,233 INFO [store-002] [ConfigurationService] [symmetric-engine-startup-1] Auto-configuring dynamic channel
2020-09-17 07:36:15,271 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Done initializing SymmetricDS database
2020-09-17 07:36:15,271 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS database version : null
2020-09-17 07:36:15,272 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS software version : 3.12.3
2020-09-17 07:36:18,179 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Starting unregistered node [group=store, externalId=002]
2020-09-17 07:36:18,213 INFO [store-002] [RouterJob] [symmetric-engine-startup-1] Starting Routing on periodic schedule: every 5000ms with the first run at 2020-09-17T07:36:22.703+0800
2020-09-17 07:36:18,220 INFO [store-002] [PushJob] [symmetric-engine-startup-1] Starting Push on periodic schedule: every 10000ms with the first run at 2020-09-17T07:36:22.710+0800
2020-09-17 07:36:18,221 INFO [store-002] [PullJob] [symmetric-engine-startup-1] Starting Pull on periodic schedule: every 10000ms with the first run at 2020-09-17T07:36:22.711+0800
2020-09-17 07:36:18,223 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job Offline Push not configured for auto start
2020-09-17 07:36:18,223 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job Offline Pull not configured for auto start
2020-09-17 07:36:18,227 INFO [store-002] [OutgoingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Outgoing' with cron expression: '0 0 */4 * * *'
2020-09-17 07:36:18,231 INFO [store-002] [IncomingPurgeJob] [symmetric-engine-startup-1] Starting job 'Purge Incoming' with cron expression: '0 0 */4 * * *'
2020-09-17 07:36:18,233 INFO [store-002] [StatisticFlushJob] [symmetric-engine-startup-1] Starting job 'Stat Flush' with cron expression: '0 0/5 * * * *'
2020-09-17 07:36:18,236 INFO [store-002] [SyncTriggersJob] [symmetric-engine-startup-1] Starting job 'SyncTriggers' with cron expression: '0 0 0 * * *'
2020-09-17 07:36:18,238 INFO [store-002] [HeartbeatJob] [symmetric-engine-startup-1] Starting Heartbeat on periodic schedule: every 900000ms with the first run at 2020-09-17T07:36:22.728+0800
2020-09-17 07:36:18,240 INFO [store-002] [WatchdogJob] [symmetric-engine-startup-1] Starting Watchdog on periodic schedule: every 3600000ms with the first run at 2020-09-17T07:36:22.729+0800
2020-09-17 07:36:18,241 INFO [store-002] [StageManagementJob] [symmetric-engine-startup-1] Starting job 'Stage Management' with cron expression: '0 0 * * * *'
2020-09-17 07:36:18,244 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job Refresh Cache not configured for auto start
2020-09-17 07:36:18,245 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job File Sync Tracker not configured for auto start
2020-09-17 07:36:18,245 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job File Sync Pull not configured for auto start
2020-09-17 07:36:18,245 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job File Sync Push not configured for auto start
2020-09-17 07:36:18,245 INFO [store-002] [InitialLoadExtractorJob] [symmetric-engine-startup-1] Starting Initial Load Extract on periodic schedule: every 10000ms with the first run at 2020-09-17T07:36:22.735+0800
2020-09-17 07:36:18,248 INFO [store-002] [MonitorJob] [symmetric-engine-startup-1] Starting Monitor on periodic schedule: every 60000ms with the first run at 2020-09-17T07:36:22.738+0800
2020-09-17 07:36:18,249 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job Report Status not configured for auto start
2020-09-17 07:36:18,250 INFO [store-002] [JobManager] [symmetric-engine-startup-1] Job Log Miner not configured for auto start
2020-09-17 07:36:18,250 INFO [store-002] [InitialLoadJob] [symmetric-engine-startup-1] Starting Initial Load Queue on periodic schedule: every 10000ms with the first run at 2020-09-17T07:36:22.740+0800
2020-09-17 07:36:18,259 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] SymmetricDS Node STARTED:
	 nodeId=002
	 groupId=store
	 type=server
	 subType=null
	 name=store-002
	 softwareVersion=3.12.3
	 databaseName=Tibero
	 databaseVersion=6.0
	 driverName=Tibero Tibero_6.0.175125_JDBC_1.6_release_20200903
	 driverVersion=6.0. 
	 uptime=0 sec.
2020-09-17 07:36:22,707 INFO [store-002] [RouterJob] [store-002-job-1] Did not run the 'Routing' job because the engine is not registered.
2020-09-17 07:36:22,711 INFO [store-002] [PushJob] [store-002-job-2] Did not run the 'Push' job because the engine is not registered.
2020-09-17 07:36:22,731 INFO [store-002] [RegistrationService] [store-002-job-3] This node is unregistered.  It will attempt to register using the registration.url
2020-09-17 07:36:22,752 INFO [store-002] [InitialLoadExtractorJob] [store-002-job-5] Did not run the 'Initial Load Extract' job because the engine is not registered.
2020-09-17 07:36:22,754 INFO [store-002] [MonitorJob] [store-002-job-1] Did not run the 'Monitor' job because the engine is not registered.
2020-09-17 07:36:22,760 INFO [store-002] [DataLoaderService] [store-002-job-3] Using registration URL of http://192.168.56.151:8081/sync/corp-001/registration
2020-09-17 07:36:22,760 INFO [store-002] [InitialLoadJob] [store-002-job-2] Did not run the 'Initial Load Queue' job because the engine is not registered.
2020-09-17 07:36:26,474 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] Grouplets flushed because new grouplet config came through the data loader
2020-09-17 07:36:26,474 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] Load filters flushed because new filter config came through the data loader
2020-09-17 07:36:26,474 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] Channels flushed because new channels came through the data loader
2020-09-17 07:36:26,474 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] About to refresh the cache of conflict settings because new configuration came through the data loader
2020-09-17 07:36:26,474 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] About to refresh the cache of parameters because new configuration came through the data loader
2020-09-17 07:36:26,483 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-1] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:36:26,486 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-job-3] About to refresh the cache of transformation because new configuration came through the data loader
2020-09-17 07:36:26,486 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-job-3] About to clear the staging area because new transform configuration came through the data loader
2020-09-17 07:36:26,488 INFO [store-002] [StagingManager] [store-002-job-3] Cleaning staging...
2020-09-17 07:36:26,490 INFO [store-002] [StagingManager] [store-002-job-3] Purged 1 staging files, freed 13 KB of disk space.
2020-09-17 07:36:26,490 INFO [store-002] [StagingManager] [store-002-job-3] Finished cleaning staging in 0 seconds.
2020-09-17 07:36:26,490 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-job-3] About to syncTriggers because new configuration came through the data loader
2020-09-17 07:36:26,491 INFO [store-002] [TriggerRouterService] [store-002-job-3] Synchronizing triggers
2020-09-17 07:36:26,671 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_RTR_STR trigger for HR.SYM_ROUTER
2020-09-17 07:36:26,699 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_RTR_STR trigger for HR.SYM_ROUTER
2020-09-17 07:36:26,771 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_RTR_STR trigger for HR.SYM_ROUTER
2020-09-17 07:36:26,975 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_TBL trigger for HR.SYM_TRANSFORM_TABLE
2020-09-17 07:36:26,998 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_TBL trigger for HR.SYM_TRANSFORM_TABLE
2020-09-17 07:36:27,061 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_TBL trigger for HR.SYM_TRANSFORM_TABLE
2020-09-17 07:36:27,171 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_PRMTR_STR trigger for HR.SYM_PARAMETER
2020-09-17 07:36:27,187 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_PRMTR_STR trigger for HR.SYM_PARAMETER
2020-09-17 07:36:27,240 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_PRMTR_STR trigger for HR.SYM_PARAMETER
2020-09-17 07:36:27,336 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_RTR trigger for HR.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:36:27,355 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_RTR trigger for HR.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:36:27,410 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_RTR trigger for HR.SYM_FILE_TRIGGER_ROUTER
2020-09-17 07:36:27,514 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TBL_RLD_RQST trigger for HR.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:36:27,537 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TBL_RLD_RQST trigger for HR.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:36:27,596 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TBL_RLD_RQST trigger for HR.SYM_TABLE_RELOAD_REQUEST
2020-09-17 07:36:27,740 INFO [store-002] [DataService] [store-002-job-7] Inserting missing last data gap: { startId: 1, endId: 50000001, createTime: "Thu Sep 17 07:36:27 CST 2020" }
2020-09-17 07:36:27,785 INFO [store-002] [DataGapFastDetector] [store-002-job-7] Full gap analysis is running
2020-09-17 07:36:27,788 INFO [store-002] [DataGapFastDetector] [store-002-job-7] Querying data in gaps from database took 3 ms
2020-09-17 07:36:27,788 INFO [store-002] [DataGapFastDetector] [store-002-job-7] Full gap analysis is done after 3 ms
2020-09-17 07:36:27,814 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_LNK_STR trigger for HR.SYM_GROUPLET_LINK
2020-09-17 07:36:27,833 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_LNK_STR trigger for HR.SYM_GROUPLET_LINK
2020-09-17 07:36:27,890 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_LNK_STR trigger for HR.SYM_GROUPLET_LINK
2020-09-17 07:36:27,988 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_GRPLT_STR trigger for HR.SYM_GROUPLET
2020-09-17 07:36:28,001 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_GRPLT_STR trigger for HR.SYM_GROUPLET
2020-09-17 07:36:28,051 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_GRPLT_STR trigger for HR.SYM_GROUPLET
2020-09-17 07:36:28,238 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:28,285 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:28,335 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:28,431 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_FL_TRGGR_STR trigger for HR.SYM_FILE_TRIGGER
2020-09-17 07:36:28,452 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_FL_TRGGR_STR trigger for HR.SYM_FILE_TRIGGER
2020-09-17 07:36:28,512 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_FL_TRGGR_STR trigger for HR.SYM_FILE_TRIGGER
2020-09-17 07:36:28,617 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRNSFRM_CLMN trigger for HR.SYM_TRANSFORM_COLUMN
2020-09-17 07:36:28,634 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRNSFRM_CLMN trigger for HR.SYM_TRANSFORM_COLUMN
2020-09-17 07:36:28,690 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRNSFRM_CLMN trigger for HR.SYM_TRANSFORM_COLUMN
2020-09-17 07:36:28,785 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_JB_STR trigger for HR.SYM_JOB
2020-09-17 07:36:28,801 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_JB_STR trigger for HR.SYM_JOB
2020-09-17 07:36:28,861 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_JB_STR trigger for HR.SYM_JOB
2020-09-17 07:36:28,963 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_STR trigger for HR.SYM_TRIGGER_ROUTER
2020-09-17 07:36:28,979 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_STR trigger for HR.SYM_TRIGGER_ROUTER
2020-09-17 07:36:29,036 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_STR trigger for HR.SYM_TRIGGER_ROUTER
2020-09-17 07:36:29,132 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_STR trigger for HR.SYM_NODE
2020-09-17 07:36:29,163 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_STR trigger for HR.SYM_NODE
2020-09-17 07:36:29,217 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_STR trigger for HR.SYM_NODE
2020-09-17 07:36:29,308 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:29,329 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:29,384 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:29,477 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_CHNNL trigger for HR.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:36:29,490 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_CHNNL trigger for HR.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:36:29,542 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_CHNNL trigger for HR.SYM_NODE_GROUP_CHANNEL_WND
2020-09-17 07:36:29,642 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_NTFCTN_STR trigger for HR.SYM_NOTIFICATION
2020-09-17 07:36:29,656 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_NTFCTN_STR trigger for HR.SYM_NOTIFICATION
2020-09-17 07:36:29,706 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_NTFCTN_STR trigger for HR.SYM_NOTIFICATION
2020-09-17 07:36:29,799 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_LNK trigger for HR.SYM_NODE_GROUP_LINK
2020-09-17 07:36:29,812 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_LNK trigger for HR.SYM_NODE_GROUP_LINK
2020-09-17 07:36:29,866 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_LNK trigger for HR.SYM_NODE_GROUP_LINK
2020-09-17 07:36:29,956 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_GRP_STR trigger for HR.SYM_NODE_GROUP
2020-09-17 07:36:29,968 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_GRP_STR trigger for HR.SYM_NODE_GROUP
2020-09-17 07:36:30,016 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_GRP_STR trigger for HR.SYM_NODE_GROUP
2020-09-17 07:36:30,119 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_SCRTY_STR trigger for HR.SYM_NODE_SECURITY
2020-09-17 07:36:30,135 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_SCRTY_STR trigger for HR.SYM_NODE_SECURITY
2020-09-17 07:36:30,189 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_SCRTY_STR trigger for HR.SYM_NODE_SECURITY
2020-09-17 07:36:30,286 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_LD_FLTR_STR trigger for HR.SYM_LOAD_FILTER
2020-09-17 07:36:30,313 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_LD_FLTR_STR trigger for HR.SYM_LOAD_FILTER
2020-09-17 07:36:30,378 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_LD_FLTR_STR trigger for HR.SYM_LOAD_FILTER
2020-09-17 07:36:30,473 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_MNTR_STR trigger for HR.SYM_MONITOR
2020-09-17 07:36:30,488 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_MNTR_STR trigger for HR.SYM_MONITOR
2020-09-17 07:36:30,541 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_MNTR_STR trigger for HR.SYM_MONITOR
2020-09-17 07:36:30,635 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_XTNSN_STR trigger for HR.SYM_EXTENSION
2020-09-17 07:36:30,651 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_XTNSN_STR trigger for HR.SYM_EXTENSION
2020-09-17 07:36:30,703 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_XTNSN_STR trigger for HR.SYM_EXTENSION
2020-09-17 07:36:30,796 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CNFLCT_STR trigger for HR.SYM_CONFLICT
2020-09-17 07:36:30,813 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CNFLCT_STR trigger for HR.SYM_CONFLICT
2020-09-17 07:36:30,878 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CNFLCT_STR trigger for HR.SYM_CONFLICT
2020-09-17 07:36:30,983 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_STR trigger for HR.SYM_TRIGGER
2020-09-17 07:36:31,038 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_STR trigger for HR.SYM_TRIGGER
2020-09-17 07:36:31,141 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_STR trigger for HR.SYM_TRIGGER
2020-09-17 07:36:31,271 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_CHNNL_STR trigger for HR.SYM_CHANNEL
2020-09-17 07:36:31,294 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_CHNNL_STR trigger for HR.SYM_CHANNEL
2020-09-17 07:36:31,362 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_CHNNL_STR trigger for HR.SYM_CHANNEL
2020-09-17 07:36:31,459 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_TRGGR_RTR_GR trigger for HR.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:36:31,473 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_TRGGR_RTR_GR trigger for HR.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:36:31,525 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_TRGGR_RTR_GR trigger for HR.SYM_TRIGGER_ROUTER_GROUPLET
2020-09-17 07:36:31,632 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_I_FOR_SYM_ND_HST_STR trigger for HR.SYM_NODE_HOST
2020-09-17 07:36:31,653 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_U_FOR_SYM_ND_HST_STR trigger for HR.SYM_NODE_HOST
2020-09-17 07:36:31,707 INFO [store-002] [TiberoSymmetricDialect] [store-002-sync-triggers-1] Creating SYM_ON_D_FOR_SYM_ND_HST_STR trigger for HR.SYM_NODE_HOST
2020-09-17 07:36:31,726 INFO [store-002] [TriggerRouterService] [store-002-job-3] Done synchronizing triggers
2020-09-17 07:36:31,753 INFO [store-002] [RegistrationService] [store-002-job-3] Successfully registered node [id=002]
2020-09-17 07:36:31,759 INFO [store-002] [ExtensionService] [store-002-job-3] Found 0 extension points from the database that will be registered
2020-09-17 07:36:31,760 INFO [store-002] [ClientExtensionService] [store-002-job-3] Found 8 extension points from spring that will be registered
2020-09-17 07:36:31,760 INFO [store-002] [PushHeartbeatListener] [store-002-job-3] Some attribute(s) of node changed.  Recording changes
2020-09-17 07:36:31,760 INFO [store-002] [PushHeartbeatListener] [store-002-job-3] Updating my node configuration info according to the symmetric properties
2020-09-17 07:36:31,801 INFO [store-002] [PullService] [store-002-job-3] Node store:002 just registered, not pulling yet
2020-09-17 07:36:32,746 INFO [store-002] [NodeCommunicationService] [store-002-job-9] push will use 10 threads
2020-09-17 07:36:32,920 INFO [store-002] [ConfigurationChangedDataRouter] [store-002-job-12] About to refresh the cache of nodes because new configuration came through the data router
2020-09-17 07:36:33,012 INFO [store-002] [RouterService] [store-002-job-12] Routed 2 data events in 220 ms
2020-09-17 07:36:41,807 INFO [store-002] [NodeCommunicationService] [store-002-job-13] pull will use 10 threads
2020-09-17 07:36:42,273 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-2] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:36:42,284 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-2] About to refresh the cache of nodes because new configuration came through the data loader
2020-09-17 07:36:42,353 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="NAME" type="VARCHAR" size="100">
			<platform-column name="oracle122" type="VARCHAR2" size="100"/>
		</column>
	</table>
</database>
2020-09-17 07:36:42,420 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-2] Running alter sql:
DROP TABLE "HR"."ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "HR"."ITEM_"
    ADD CONSTRAINT "ITEM__PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "HR"."ITEM_" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "HR"."ITEM";
DROP TABLE "HR"."ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "HR"."ITEM"
    ADD CONSTRAINT "ITEM_PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "HR"."ITEM" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "HR"."ITEM_";
DROP TABLE "HR"."ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:42,633 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM_SELLING_PRICE">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" primaryKey="true" primaryKeySeq="2" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="COST" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
	</table>
</database>
2020-09-17 07:36:42,709 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-2] Running alter sql:
DROP TABLE "HR"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_SELLING_PRICE_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "HR"."ITEM_SELLING_PRICE_"
    ADD CONSTRAINT "ITEM_SELLING_PRICE__PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "HR"."ITEM_SELLING_PRICE_" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "HR"."ITEM_SELLING_PRICE";
DROP TABLE "HR"."ITEM_SELLING_PRICE" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_SELLING_PRICE"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "HR"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "ITEM_SELLING_PRICE_PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "HR"."ITEM_SELLING_PRICE" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "HR"."ITEM_SELLING_PRICE_";
DROP TABLE "HR"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:43,048 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_TRANSACTION">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="WORKSTATION" required="true" type="VARCHAR" size="3">
			<platform-column name="oracle122" type="VARCHAR2" size="3"/>
		</column>
		<column name="DAY" required="true" type="VARCHAR" size="10">
			<platform-column name="oracle122" type="VARCHAR2" size="10"/>
		</column>
		<column name="SEQ" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:36:43,190 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-2] Running alter sql:
DROP TABLE "HR"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_TRANSACTION_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22) NOT NULL
);
ALTER TABLE "HR"."SALE_TRANSACTION_"
    ADD CONSTRAINT "SALE_TRANSACTION__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_TRANSACTION_" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "HR"."SALE_TRANSACTION";
DROP TABLE "HR"."SALE_TRANSACTION" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_TRANSACTION"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22,0) NOT NULL
);
ALTER TABLE "HR"."SALE_TRANSACTION"
    ADD CONSTRAINT "SALE_TRANSACTION_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_TRANSACTION" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "HR"."SALE_TRANSACTION_";
DROP TABLE "HR"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:43,280 INFO [store-002] [PushService] [store-002-push-default-2] Push data sent to corp:001:001
2020-09-17 07:36:43,342 INFO [store-002] [ConfigurationChangedDataRouter] [store-002-job-8] About to refresh the cache of nodes because new configuration came through the data router
2020-09-17 07:36:43,343 INFO [store-002] [ConfigurationChangedDataRouter] [store-002-job-8] About to refresh the cache of node security because new configuration came through the data router
2020-09-17 07:36:43,343 INFO [store-002] [RouterService] [store-002-job-8] Routed 5 data events in 322 ms
2020-09-17 07:36:43,482 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-2] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_RETURN_LINE_ITEM">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="ITEM_ID" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="QUANTITY" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="RETURNED_QUANTITY" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:36:43,490 INFO [store-002] [PushService] [store-002-push-default-2] Pushed data to node corp:001:001. 2 data and 2 batches were processed. (sym_node, sym_node_host)
2020-09-17 07:36:43,532 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-2] Running alter sql:
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_RETURN_LINE_ITEM_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "ITEM_ID" NUMBER(22) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22)
);
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM_"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_RETURN_LINE_ITEM_" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "HR"."SALE_RETURN_LINE_ITEM";
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_RETURN_LINE_ITEM"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22,0) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22,0)
);
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_RETURN_LINE_ITEM" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "HR"."SALE_RETURN_LINE_ITEM_";
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:43,962 INFO [store-002] [ConfigurationChangedDatabaseWriterFilter] [store-002-dataloader-2] About to refresh the cache of node security because new configuration came through the data loader
2020-09-17 07:36:44,114 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Synchronizing triggers for HR.SALE_TRANSACTION
2020-09-17 07:36:44,122 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:44,139 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:44,196 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:44,213 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Done synchronizing triggers for HR.SALE_TRANSACTION
2020-09-17 07:36:44,349 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Synchronizing triggers for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:44,356 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:44,371 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:44,426 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:44,452 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Done synchronizing triggers for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:44,549 INFO [store-002] [PullService] [store-002-pull-default-1] Pull data received from corp:001:001 on queue default. 15 rows and 13 batches were processed. (sym_node, sym_table_reload_request, sym_node_security, item, item_selling_price, sale_transaction, sale_return_line_item)
2020-09-17 07:36:44,685 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="NAME" type="VARCHAR" size="100">
			<platform-column name="oracle122" type="VARCHAR2" size="100"/>
		</column>
	</table>
</database>
2020-09-17 07:36:44,739 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-3] Running alter sql:
DROP TABLE "HR"."ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "HR"."ITEM_"
    ADD CONSTRAINT "ITEM__PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "HR"."ITEM_" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "HR"."ITEM";
DROP TABLE "HR"."ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "NAME" VARCHAR2(100)
);
ALTER TABLE "HR"."ITEM"
    ADD CONSTRAINT "ITEM_PK" PRIMARY KEY ("ITEM_ID");
INSERT INTO "HR"."ITEM" ("ITEM_ID","NAME") SELECT "ITEM_ID","NAME" FROM "HR"."ITEM_";
DROP TABLE "HR"."ITEM_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:44,908 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="ITEM_SELLING_PRICE">
		<column name="ITEM_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" primaryKey="true" primaryKeySeq="2" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="COST" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<foreign-key name="FK_PRICE_ITEM_ID" foreignTable="ITEM" foreignTableCatalog="" foreignTableSchema="">
			<reference local="ITEM_ID" foreign="ITEM_ID"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:36:44,950 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-3] Running alter sql:
DROP TABLE "HR"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_SELLING_PRICE_"(
    "ITEM_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "HR"."ITEM_SELLING_PRICE_"
    ADD CONSTRAINT "ITEM_SELLING_PRICE__PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "HR"."ITEM_SELLING_PRICE_" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "HR"."ITEM_SELLING_PRICE";
DROP TABLE "HR"."ITEM_SELLING_PRICE" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."ITEM_SELLING_PRICE"(
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "COST" NUMBER(10,2)
);
ALTER TABLE "HR"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "ITEM_SELLING_PRICE_PK" PRIMARY KEY ("ITEM_ID", "STORE_ID");
INSERT INTO "HR"."ITEM_SELLING_PRICE" ("ITEM_ID","STORE_ID","PRICE","COST") SELECT "ITEM_ID","STORE_ID","PRICE","COST" FROM "HR"."ITEM_SELLING_PRICE_";
DROP TABLE "HR"."ITEM_SELLING_PRICE_" CASCADE CONSTRAINTS PURGE;
ALTER TABLE "HR"."ITEM_SELLING_PRICE"
    ADD CONSTRAINT "FK_PRICE_ITEM_ID" FOREIGN KEY ("ITEM_ID") REFERENCES "HR"."ITEM" ("ITEM_ID");

2020-09-17 07:36:45,108 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_TRANSACTION">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="STORE_ID" required="true" type="VARCHAR" size="5">
			<platform-column name="oracle122" type="VARCHAR2" size="5"/>
		</column>
		<column name="WORKSTATION" required="true" type="VARCHAR" size="3">
			<platform-column name="oracle122" type="VARCHAR2" size="3"/>
		</column>
		<column name="DAY" required="true" type="VARCHAR" size="10">
			<platform-column name="oracle122" type="VARCHAR2" size="10"/>
		</column>
		<column name="SEQ" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
	</table>
</database>
2020-09-17 07:36:45,152 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-3] Running alter sql:
DROP TABLE "HR"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_TRANSACTION_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22) NOT NULL
);
ALTER TABLE "HR"."SALE_TRANSACTION_"
    ADD CONSTRAINT "SALE_TRANSACTION__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_TRANSACTION_" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "HR"."SALE_TRANSACTION";
DROP TABLE "HR"."SALE_TRANSACTION" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_TRANSACTION"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "STORE_ID" VARCHAR2(5) NOT NULL,
    "WORKSTATION" VARCHAR2(3) NOT NULL,
    "DAY" VARCHAR2(10) NOT NULL,
    "SEQ" NUMBER(22,0) NOT NULL
);
ALTER TABLE "HR"."SALE_TRANSACTION"
    ADD CONSTRAINT "SALE_TRANSACTION_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_TRANSACTION" ("TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ") SELECT "TRAN_ID","STORE_ID","WORKSTATION","DAY","SEQ" FROM "HR"."SALE_TRANSACTION_";
DROP TABLE "HR"."SALE_TRANSACTION_" CASCADE CONSTRAINTS PURGE;

2020-09-17 07:36:45,322 INFO [store-002] [DefaultDatabaseWriter] [store-002-dataloader-3] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
	<table name="SALE_RETURN_LINE_ITEM">
		<column name="TRAN_ID" primaryKey="true" primaryKeySeq="1" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="ITEM_ID" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="PRICE" required="true" type="NUMERIC" size="10,2">
			<platform-column name="oracle122" type="NUMBER" size="10" decimalDigits="2"/>
		</column>
		<column name="QUANTITY" required="true" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<column name="RETURNED_QUANTITY" type="NUMERIC" size="22">
			<platform-column name="oracle122" type="NUMBER" size="22"/>
		</column>
		<foreign-key name="FK_SRLI_ITEM_ID" foreignTable="ITEM" foreignTableCatalog="" foreignTableSchema="">
			<reference local="ITEM_ID" foreign="ITEM_ID"/>
		</foreign-key>
		<foreign-key name="FK_SRLI_TRAN_ID" foreignTable="SALE_TRANSACTION" foreignTableCatalog="" foreignTableSchema="">
			<reference local="TRAN_ID" foreign="TRAN_ID"/>
		</foreign-key>
	</table>
</database>
2020-09-17 07:36:45,359 INFO [store-002] [TiberoDatabasePlatform] [store-002-dataloader-3] Running alter sql:
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_RETURN_LINE_ITEM_"(
    "TRAN_ID" NUMBER(22) NOT NULL,
    "ITEM_ID" NUMBER(22) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22)
);
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM_"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM__PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_RETURN_LINE_ITEM_" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "HR"."SALE_RETURN_LINE_ITEM";
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM" CASCADE CONSTRAINTS PURGE;
CREATE TABLE "HR"."SALE_RETURN_LINE_ITEM"(
    "TRAN_ID" NUMBER(22,0) NOT NULL,
    "ITEM_ID" NUMBER(22,0) NOT NULL,
    "PRICE" NUMBER(10,2) NOT NULL,
    "QUANTITY" NUMBER(22,0) NOT NULL,
    "RETURNED_QUANTITY" NUMBER(22,0)
);
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "SALE_RETURN_LINE_ITEM_PK" PRIMARY KEY ("TRAN_ID");
INSERT INTO "HR"."SALE_RETURN_LINE_ITEM" ("TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY") SELECT "TRAN_ID","ITEM_ID","PRICE","QUANTITY","RETURNED_QUANTITY" FROM "HR"."SALE_RETURN_LINE_ITEM_";
DROP TABLE "HR"."SALE_RETURN_LINE_ITEM_" CASCADE CONSTRAINTS PURGE;
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "FK_SRLI_ITEM_ID" FOREIGN KEY ("ITEM_ID") REFERENCES "HR"."ITEM" ("ITEM_ID");
ALTER TABLE "HR"."SALE_RETURN_LINE_ITEM"
    ADD CONSTRAINT "FK_SRLI_TRAN_ID" FOREIGN KEY ("TRAN_ID") REFERENCES "HR"."SALE_TRANSACTION" ("TRAN_ID");

2020-09-17 07:36:45,644 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Synchronizing triggers for HR.SALE_TRANSACTION
2020-09-17 07:36:45,651 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_I_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:45,667 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_U_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:45,731 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_D_FOR_SL_TRNSCTN_STR trigger for HR.SALE_TRANSACTION
2020-09-17 07:36:45,747 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Done synchronizing triggers for HR.SALE_TRANSACTION
2020-09-17 07:36:45,888 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Synchronizing triggers for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:45,898 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_I_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:45,913 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_U_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:45,963 INFO [store-002] [TiberoSymmetricDialect] [store-002-pull-default-1] Creating SYM_ON_D_FOR_SL_RTRN_LN_TM_STR trigger for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:45,977 INFO [store-002] [TriggerRouterService] [store-002-pull-default-1] Done synchronizing triggers for HR.SALE_RETURN_LINE_ITEM
2020-09-17 07:36:46,003 INFO [store-002] [PullService] [store-002-pull-default-1] Pull data received from corp:001:001 on queue default. 4 rows and 4 batches were processed. (item, item_selling_price, sale_transaction, sale_return_line_item)
2020-09-17 07:36:48,417 INFO [store-002] [ConfigurationChangedDataRouter] [store-002-job-8] About to refresh the cache of node security because new configuration came through the data router
2020-09-17 07:36:48,418 INFO [store-002] [RouterService] [store-002-job-8] Routed 1 data events in 71 ms
2020-09-17 07:42:38,972 INFO [store-001] [PullService] [store-001-pull-default-8] Pull data received from corp:000:000 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:43:32,052 INFO [store-002] [PullService] [store-002-pull-default-2] Pull data received from corp:001:001 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:44:41,987 INFO [store-002] [PullService] [store-002-pull-default-9] Pull data received from corp:001:001 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:44:48,952 INFO [store-001] [PullService] [store-001-pull-default-1] Pull data received from corp:000:000 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:45:39,048 INFO [store-001] [PullService] [store-001-pull-default-6] Pull data received from corp:000:000 on queue default. 1 rows and 1 batches were processed. (sym_node_host)
2020-09-17 07:45:41,895 INFO [store-001] [RouterService] [store-001-job-10] Routed 1 data events in 16 ms
2020-09-17 07:46:11,924 INFO [store-001] [RouterService] [store-001-job-1] Routed 1 data events in 13 ms
2020-09-17 07:46:21,188 INFO [store-001] [PushService] [store-001-push-default-1] Push data sent to corp:000:000
2020-09-17 07:46:21,259 INFO [store-001] [PushService] [store-001-push-default-1] Pushed data to node corp:000:000. 1 data and 1 batches were processed. (sym_node_host)
2020-09-17 07:47:22,049 INFO [store-002] [PullService] [store-002-pull-default-5] Pull data received from corp:001:001 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:47:29,008 INFO [store-001] [PullService] [store-001-pull-default-7] Pull data received from corp:000:000 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:49:19,029 INFO [store-001] [PullService] [store-001-pull-default-8] Pull data received from corp:000:000 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:49:22,044 INFO [store-002] [PullService] [store-002-pull-default-7] Pull data received from corp:001:001 on queue default. 1 rows and 1 batches were processed. (item)
2020-09-17 07:50:52,142 INFO [store-002] [PullService] [store-002-pull-default-6] Pull data received from corp:001:001 on queue default. 1 rows and 1 batches were processed. (sym_node_host)
2020-09-17 07:50:54,346 INFO [store-002] [RouterService] [store-002-job-11] Routed 1 data events in 25 ms
2020-09-17 07:51:22,761 ERROR [store-002] [HeartbeatJob] [store-002-job-8] Exception while executing job 'Heartbeat' StackTraceKey.init [SqlException:1594886331] org.jumpmind.db.sql.SqlException: JDBC-11048:"HR"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)   
TBR-15163: Unhandled exception at HR.SYM_ON_U_FOR_SYM_ND_HST_STR,  line 32.
	at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:306)
	at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:295)
	at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:519)
	at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:358)
	at org.jumpmind.db.sql.AbstractSqlTemplate.update(AbstractSqlTemplate.java:228)
	at org.jumpmind.symmetric.service.impl.NodeService.updateNodeHost(NodeService.java:201)
	at org.jumpmind.symmetric.service.impl.NodeService.updateNodeHostForCurrentNode(NodeService.java:212)
	at org.jumpmind.symmetric.job.PushHeartbeatListener.heartbeat(PushHeartbeatListener.java:97)
	at org.jumpmind.symmetric.service.impl.DataService.heartbeat(DataService.java:2925)
	at org.jumpmind.symmetric.job.HeartbeatJob.doJob(HeartbeatJob.java:50)
	at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:227)
	at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:298)
	at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.sql.SQLException: JDBC-11048:"HR"."SYM_DATA"."SOURCE_NODE_ID" The value is too large for the column. (Actual value: 157, Maximum value: 50)   
TBR-15163: Unhandled exception at HR.SYM_ON_U_FOR_SYM_ND_HST_STR,  line 32.
	at com.tmax.tibero.jdbc.err.TbError.makeSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.err.TbError.newSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.msg.common.TbMsgError.readErrorStackInfo(Unknown Source)
	at com.tmax.tibero.jdbc.msg.TbMsgEreply.deserialize(Unknown Source)
	at com.tmax.tibero.jdbc.comm.TbStream.readMsg(Unknown Source)
	at com.tmax.tibero.jdbc.comm.TbCommType4.prepareExecute(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbPreparedStatementImpl.executeCompleteSQL(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbPreparedStatementImpl.executeInternal(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbPreparedStatementImpl.execute(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbPreparedStatement.execute(Unknown Source)
	at org.apache.commons.dbcp.DelegatingPreparedStatement.execute(DelegatingPreparedStatement.java:172)
	at org.apache.commons.dbcp.DelegatingPreparedStatement.execute(DelegatingPreparedStatement.java:172)
	at org.jumpmind.db.sql.JdbcSqlTemplate$5.execute(JdbcSqlTemplate.java:395)
	at org.jumpmind.db.sql.JdbcSqlTemplate$5.execute(JdbcSqlTemplate.java:358)
	at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:517)
	... 17 more

2020-09-17 07:54:29,411 INFO [startup] [AbstractCommandLauncher] [main] Option: name=engine, value={store-002}
2020-09-17 07:54:29,418 INFO [startup] [AbstractCommandLauncher] [main] Option: name=port, value={9091}
2020-09-17 07:54:29,464 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-09-17 07:54:29,672 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:9091:HTTP/1.1
2020-09-17 07:54:30,368 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-09-17 07:54:30,754 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-90607:No result set was returned.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey.init [SQLException:4211534221] java.sql.SQLException: Cannot create PoolableConnectionFactory (JDBC-90607:No result set was returned.)
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:78)
	at org.apache.commons.dbcp.BasicDataSource.createDataSource(BasicDataSource.java:1388)
	at org.apache.commons.dbcp.BasicDataSource.getConnection(BasicDataSource.java:1044)
	at org.jumpmind.symmetric.ClientSymmetricEngine.waitForAvailableDatabase(ClientSymmetricEngine.java:473)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:391)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:341)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:334)
	at org.jumpmind.symmetric.AbstractSymmetricEngine.init(AbstractSymmetricEngine.java:316)
	at org.jumpmind.symmetric.ClientSymmetricEngine.init(ClientSymmetricEngine.java:205)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.init(ServerSymmetricEngine.java:80)
	at org.jumpmind.symmetric.ClientSymmetricEngine.<init>(ClientSymmetricEngine.java:161)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.<init>(ServerSymmetricEngine.java:59)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder.create(SymmetricEngineHolder.java:285)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder$EngineStarter.run(SymmetricEngineHolder.java:597)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.sql.SQLException: JDBC-90607:No result set was returned.
	at com.tmax.tibero.jdbc.err.TbError.makeSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.err.TbError.newSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.err.TbError.newSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbResultSetBase.next(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbRSFwOnly.next(Unknown Source)
	at org.apache.commons.dbcp.DelegatingResultSet.next(DelegatingResultSet.java:207)
	at org.apache.commons.dbcp.PoolableConnectionFactory.validateConnection(PoolableConnectionFactory.java:659)
	at org.apache.commons.dbcp.BasicDataSource.validateConnectionFactory(BasicDataSource.java:1558)
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:72)
	... 16 more

2020-09-17 07:54:31,777 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-09-17 07:54:40,788 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-90607:No result set was returned.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey [SQLException:4211534221]
2020-09-17 07:54:50,804 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-90607:No result set was returned.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey [SQLException:4211534221]
2020-09-17 07:55:09,383 INFO [startup] [AbstractCommandLauncher] [main] Option: name=engine, value={store-002}
2020-09-17 07:55:09,388 INFO [startup] [AbstractCommandLauncher] [main] Option: name=port, value={9091}
2020-09-17 07:55:09,429 INFO [startup] [SymmetricUtils] [main] 
   _____                              __       _       ____   _____
  / ___/ __  _____ __  ___ __  ___  _/ /_ ____(_)___  / __ | / ___/
  \__ \ / / / / _ `_ \/ _ `_ \/ _ \/_ __// __/ / __/ / / / / \__ \ 
 ___/ // /_/ / // // / // // /  __// /  / / / / /_  / /_/ / ___/ / 
/____/ \__  /_//_//_/_//_//_/\___/ \_/ /_/ /_/\__/ /_____/ /____/  
      /____/                                                        
+-----------------------------------------------------------------+
| Copyright (C) 2007-2020 JumpMind, Inc.                          |
|                                                                 |
| Licensed under the GNU General Public License version 3.        |
| This software comes with ABSOLUTELY NO WARRANTY.                |
| See http://www.gnu.org/licenses/gpl.html                        |
+-----------------------------------------------------------------+
2020-09-17 07:55:09,629 INFO [startup] [SymmetricWebServer] [main] About to start SymmetricDS web server on 0.0.0.0:9091:HTTP/1.1
2020-09-17 07:55:10,220 INFO [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Initializing connection to database
2020-09-17 07:55:10,717 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-15146:PSM compilation error.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey.init [SQLException:1528178764] java.sql.SQLException: Cannot create PoolableConnectionFactory (JDBC-15146:PSM compilation error.)
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:78)
	at org.apache.commons.dbcp.BasicDataSource.createDataSource(BasicDataSource.java:1388)
	at org.apache.commons.dbcp.BasicDataSource.getConnection(BasicDataSource.java:1044)
	at org.jumpmind.symmetric.ClientSymmetricEngine.waitForAvailableDatabase(ClientSymmetricEngine.java:473)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:391)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:341)
	at org.jumpmind.symmetric.ClientSymmetricEngine.createDatabasePlatform(ClientSymmetricEngine.java:334)
	at org.jumpmind.symmetric.AbstractSymmetricEngine.init(AbstractSymmetricEngine.java:316)
	at org.jumpmind.symmetric.ClientSymmetricEngine.init(ClientSymmetricEngine.java:205)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.init(ServerSymmetricEngine.java:80)
	at org.jumpmind.symmetric.ClientSymmetricEngine.<init>(ClientSymmetricEngine.java:161)
	at org.jumpmind.symmetric.web.ServerSymmetricEngine.<init>(ServerSymmetricEngine.java:59)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder.create(SymmetricEngineHolder.java:285)
	at org.jumpmind.symmetric.web.SymmetricEngineHolder$EngineStarter.run(SymmetricEngineHolder.java:597)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.sql.SQLException: JDBC-15146:PSM compilation error.
	at com.tmax.tibero.jdbc.err.TbError.makeSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.err.TbError.newSQLException(Unknown Source)
	at com.tmax.tibero.jdbc.msg.common.TbMsgError.readErrorStackInfo(Unknown Source)
	at com.tmax.tibero.jdbc.msg.TbMsgEreply.deserialize(Unknown Source)
	at com.tmax.tibero.jdbc.comm.TbStream.readMsg(Unknown Source)
	at com.tmax.tibero.jdbc.comm.TbCommType4.executeDirect(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbStatement.executeInternal(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbStatement.executeInternal(Unknown Source)
	at com.tmax.tibero.jdbc.driver.TbStatement.executeQuery(Unknown Source)
	at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
	at org.apache.commons.dbcp.PoolableConnectionFactory.validateConnection(PoolableConnectionFactory.java:658)
	at org.apache.commons.dbcp.BasicDataSource.validateConnectionFactory(BasicDataSource.java:1558)
	at org.jumpmind.db.util.ResettableBasicDataSource.createPoolableConnectionFactory(ResettableBasicDataSource.java:72)
	... 16 more

2020-09-17 07:55:11,568 INFO [startup] [SymmetricWebServer] [main] Joining the web server main thread
2020-09-17 07:55:20,771 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-15146:PSM compilation error.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey [SQLException:1528178764]
2020-09-17 07:55:30,781 ERROR [store-002] [AbstractSymmetricEngine] [symmetric-engine-startup-1] Could not get a connection to the database: Cannot create PoolableConnectionFactory (JDBC-15146:PSM compilation error.).  Waiting for 10 seconds before trying to connect to the database again. StackTraceKey [SQLException:1528178764]
symmetric.log (252,011 bytes)   

dingshiuan

2020-09-17 10:44

reporter   ~0001771

Dear Elong

Is there any alternative?
Please Guide me
thanks a lot ~

dingshiuan

2020-09-23 12:40

reporter   ~0001779

Manually create data table does not seem to have this problem
script generated data table (./bin/symadmin --engine corp-000 create-sym-tables) seems to have this problem
After manually create data table, so far, this problem has not occurred again.
Please close this issue

thanks a lot ~

Issue History

Date Modified Username Field Change
2020-09-12 06:14 dingshiuan New Issue
2020-09-12 06:14 dingshiuan File Added: symm_20200912_v2.docx
2020-09-12 06:14 dingshiuan File Added: source_log.zip
2020-09-12 06:14 dingshiuan File Added: target_log.zip
2020-09-13 07:30 dingshiuan Note Added: 0001760
2020-09-13 07:30 dingshiuan File Added: symm_20200912_v2-2.docx
2020-09-13 07:30 dingshiuan File Added: target_log-2.zip
2020-09-13 07:30 dingshiuan File Added: source_log-2.zip
2020-09-13 08:15 dingshiuan Note Added: 0001761
2020-09-15 12:05 dingshiuan Note Added: 0001762
2020-09-15 12:18 elong Status new => feedback
2020-09-15 12:18 elong Note Added: 0001763
2020-09-15 12:33 dingshiuan Note Added: 0001764
2020-09-15 12:33 dingshiuan Status feedback => new
2020-09-15 12:43 elong Note Added: 0001765
2020-09-15 14:09 dingshiuan Note Added: 0001766
2020-09-15 14:09 dingshiuan File Added: symm.docx
2020-09-15 14:14 dingshiuan Note Added: 0001767
2020-09-15 14:14 dingshiuan File Added: source_log-3.zip
2020-09-15 14:14 dingshiuan File Added: target_log-3.zip
2020-09-16 11:21 dingshiuan Note Added: 0001768
2020-09-16 14:09 elong Note Added: 0001769
2020-09-16 20:01 dingshiuan Note Added: 0001770
2020-09-16 20:01 dingshiuan File Added: symmetric.log
2020-09-17 10:44 dingshiuan Note Added: 0001771
2020-09-23 12:40 dingshiuan Note Added: 0001779
2020-09-23 13:11 elong Status new => closed
2020-09-23 13:11 elong Resolution open => no change required